import _ from 'lodash';

export default {
  isCustomizeColumnTable: (props) => {
    return props.onCustomChange && typeof props.onCustomChange === 'function' && props.CustomColumnParams && typeof props.CustomColumnParams === 'object';
  },
  updatePaginationWithPageSize: (props, onShowSizeChange) => {
    if (props.pagination && typeof props.pagination === 'object') {
      let pagination = {};
      pagination = {
        ...props.pagination,
        showQuickJumper: true,
        showSizeChanger: true,
        pageSizeOptions: ['10', '15', '30', '50', '100'],
        onShowSizeChange,
      };
      props.pagination = pagination;
      return props;
    }
    return props;
  }
}