'use strict';

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _ = require('..');

var _2 = _interopRequireDefault(_);

var _button = require('../../button');

var _button2 = _interopRequireDefault(_button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.useFakeTimers();

var events = {};

var AffixMounter = function (_React$Component) {
  (0, _inherits3.default)(AffixMounter, _React$Component);

  function AffixMounter() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, AffixMounter);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = AffixMounter.__proto__ || (0, _getPrototypeOf2.default)(AffixMounter)).call.apply(_ref, [this].concat(args))), _this), _this.getTarget = function () {
      return _this.container;
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(AffixMounter, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.container.scrollTop = 100;
      this.container.addEventListener = jest.fn().mockImplementation(function (event, cb) {
        events[event] = cb;
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      return _react2.default.createElement(
        'div',
        {
          style: {
            height: 100,
            overflowY: 'scroll'
          },
          ref: function ref(node) {
            _this2.container = node;
          }
        },
        _react2.default.createElement(
          'div',
          {
            className: 'background',
            style: {
              paddingTop: 60,
              height: 300
            }
          },
          _react2.default.createElement(
            _2.default,
            {
              target: function target() {
                return _this2.container;
              },
              ref: function ref(ele) {
                return _this2.affix = ele;
              }
            },
            _react2.default.createElement(
              _button2.default,
              { type: 'primary' },
              'Fixed at the top of container'
            )
          )
        )
      );
    }
  }]);
  return AffixMounter;
}(_react2.default.Component);

describe('Affix Render', function () {
  it('Anchor render perfectly', function () {
    document.body.innerHTML = '<div id="mounter" />';

    var wrapper = (0, _enzyme.mount)(_react2.default.createElement(AffixMounter, null), { attachTo: document.getElementById('mounter') });
    jest.runAllTimers();

    wrapper.node.affix.refs.fixedNode.parentNode.getBoundingClientRect = jest.fn(function () {
      return {
        bottom: 100, height: 28, left: 0, right: 0, top: -50, width: 195
      };
    });

    events.scroll({
      type: 'scroll'
    });

    jest.runAllTimers();
    expect(wrapper.node.affix.state.affixStyle).not.toBe(null);
  });
});