'use strict';

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _ = require('..');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var delay = function delay(timeout) {
  return new _promise2.default(function (resolve) {
    return setTimeout(resolve, timeout);
  });
};

describe('BackTop', function () {
  it('should scroll to top after click it', (0, _asyncToGenerator3.default)(_regenerator2.default.mark(function _callee() {
    var wrapper;
    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            wrapper = (0, _enzyme.mount)(_react2.default.createElement(_2.default, { visibilityHeight: -1 }));

            document.documentElement.scrollTop = 400;
            // trigger scroll manually
            wrapper.node.handleScroll();
            _context.next = 5;
            return delay(500);

          case 5:
            wrapper.find('.ant-back-top').simulate('click');
            _context.next = 8;
            return delay(500);

          case 8:
            expect(Math.round(document.documentElement.scrollTop)).toBe(0);

          case 9:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, undefined);
  })));
});