'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _enzyme = require('enzyme');

var _ = require('..');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Calendar', function () {
  it('Calendar should be selectable', function () {
    var onSelect = jest.fn();
    var wrapper = (0, _enzyme.mount)(_react2.default.createElement(_2.default, { onSelect: onSelect }));
    wrapper.find('.ant-fullcalendar-cell').at(0).simulate('click');
    expect(onSelect).toBeCalledWith(expect.anything());
    var value = onSelect.mock.calls[0][0];
    expect(_moment2.default.isMoment(value)).toBe(true);
  });
});