'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _ = require('..');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Checkbox', function () {
  it('responses hover events', function () {
    var onMouseEnter = jest.fn();
    var onMouseLeave = jest.fn();

    var wrapper = (0, _enzyme.shallow)(_react2.default.createElement(_2.default, {
      onMouseEnter: onMouseEnter,
      onMouseLeave: onMouseLeave
    }));

    wrapper.simulate('mouseenter');
    expect(onMouseEnter).toHaveBeenCalled();

    wrapper.simulate('mouseleave');
    expect(onMouseLeave).toHaveBeenCalled();
  });
});