'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _ = require('..');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Popover', function () {
  it('should show overlay when trigger is clicked', function () {
    var popover = (0, _enzyme.mount)(_react2.default.createElement(
      _2.default,
      { content: 'console.log(\'hello world\')', title: 'code', trigger: 'click' },
      _react2.default.createElement(
        'span',
        null,
        'show me your code'
      )
    ));

    expect(popover.node.getPopupDomNode()).toBe(null);

    popover.find('span').simulate('click');

    var popup = popover.node.getPopupDomNode();
    expect(popup).not.toBe(null);
    expect(popup.className).toContain('ant-popover-placement-top');
    expect(popup.innerHTML).toMatchSnapshot();
    expect(popup.innerHTML).toMatchSnapshot();
  });
});