'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _ = require('..');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Spin', function () {
  it('should only affect the spin element when set style to a nested <Spin>xx</Spin>', function () {
    var wrapper = (0, _enzyme.shallow)(_react2.default.createElement(
      _2.default,
      { style: { background: 'red' } },
      _react2.default.createElement(
        'div',
        null,
        'content'
      )
    ));
    expect(wrapper.find('.ant-spin-nested-loading').at(0).prop('style')).toBe(null);
    expect(wrapper.find('.ant-spin').at(0).prop('style').background).toBe('red');
  });
});