'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _style2 = require('../../antd/date-picker/style');

var _datePicker = require('../../antd/date-picker');

var _datePicker2 = _interopRequireDefault(_datePicker);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _common = require('./common');

var _common2 = _interopRequireDefault(_common);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var compatible = _common2.default.compatible;


var AntdRangePicker = _datePicker2.default.RangePicker;

var RangePicker = function (_Component) {
    (0, _inherits3.default)(RangePicker, _Component);

    function RangePicker(props) {
        (0, _classCallCheck3.default)(this, RangePicker);

        var _this = (0, _possibleConstructorReturn3.default)(this, (RangePicker.__proto__ || (0, _getPrototypeOf2.default)(RangePicker)).call(this, props));

        _this.state = {};
        return _this;
    }

    (0, _createClass3.default)(RangePicker, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                id = _props.id,
                onChange = _props.onChange,
                _props$value = _props.value,
                value = _props$value === undefined ? ['', ''] : _props$value,
                momentLocale = _props.momentLocale,
                otherProps = (0, _objectWithoutProperties3.default)(_props, ['id', 'onChange', 'value', 'momentLocale']);

            var format = this.props.format || "YYYY-MM-DD";
            var props = (0, _extends3.default)({
                id: id
            }, otherProps, {
                format: format
            });

            if (value) {
                var _value = [];
                if (!Array.isArray(value)) {
                    throw new TypeError('RangePicker 组件的 value 只接受 "Array" 格式的数据');
                }

                _value = compatible(value, format, momentLocale);
                props.value = _value;
            }

            if (onChange) {
                props.onChange = function (dates, dateStrings) {
                    return onChange(dates, dateStrings, id);
                };
            }
            return _react2.default.createElement(AntdRangePicker, props);
        }
    }]);
    return RangePicker;
}(_react.Component);

exports.default = RangePicker;
module.exports = exports['default'];