'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _style6 = require('../../antd/tag/style');

var _tag = require('../../antd/tag');

var _tag2 = _interopRequireDefault(_tag);

var _style7 = require('../../antd/checkbox/style');

var _checkbox = require('../../antd/checkbox');

var _checkbox2 = _interopRequireDefault(_checkbox);

var _style8 = require('../../antd/radio/style');

var _radio = require('../../antd/radio');

var _radio2 = _interopRequireDefault(_radio);

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _style9 = require('../../antd/form/style');

var _form = require('../../antd/form');

var _form2 = _interopRequireDefault(_form);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AntFormItem = _form2.default.Item;

// import {checkSecurity, hasOwnProp} from'../share'

var FormItem = function (_Component) {
    (0, _inherits3.default)(FormItem, _Component);

    function FormItem(props) {
        (0, _classCallCheck3.default)(this, FormItem);

        var _this = (0, _possibleConstructorReturn3.default)(this, (FormItem.__proto__ || (0, _getPrototypeOf2.default)(FormItem)).call(this, props));

        _this.state = {
            childrenVisible: false
        };
        return _this;
    }

    (0, _createClass3.default)(FormItem, [{
        key: 'render',


        // toggleFormItem = (event, children) => {
        //     const _that = this;
        //     const _childrenVisible = this.state.childrenVisible;
        //     let input = this.refs.qqq.children[0].children[0];
        //
        //     this.setState({
        //         childrenVisible: !_childrenVisible
        //     },()=>{
        //         input.focus();
        //         input.addEventListener('blur',function () {
        //             _that.setState({
        //                 childrenVisible: false
        //             })
        //         })
        //     })
        //
        // }


        value: function render() {
            var _props = this.props,
                security = _props.security,
                children = _props.children,
                labelVertical = _props.labelVertical,
                type = _props.type,
                _props$labelWidth = _props.labelWidth,
                labelWidth = _props$labelWidth === undefined ? "" : _props$labelWidth,
                label = _props.label,
                isEasyEdit = _props.isEasyEdit,
                props = (0, _objectWithoutProperties3.default)(_props, ['security', 'children', 'labelVertical', 'type', 'labelWidth', 'label', 'isEasyEdit']);
            // const {canAccess, readOnly} = checkSecurity(this.props)
            // 检查是否可显示
            // if (!canAccess) {
            //     return <noscript/>
            // }
            // 检查是否只读
            // if (readOnly) {
            // 只能处理单个child的情况
            // children = React.cloneElement(children, {disabled: true})
            // children = React.Children.map(children, c => {
            //     return React.cloneElement(c, {disabled: true})
            // })
            // }


            if (labelWidth && labelWidth.includes('em')) {
                labelWidth = parseFloat(labelWidth) + 2 + 'em';
            }

            var _style = label ? {
                paddingLeft: labelWidth
            } : {
                paddingLeft: 0
            };
            var _class = (0, _classnames2.default)({ "o-form-label--vertical": labelVertical },
            /*  {["o-form-label--" + labelWidth]: labelWidth}, */
            { "o-form-label--none": label == " " && !labelVertical });

            var isToChange = (typeof children === 'undefined' ? 'undefined' : (0, _typeof3.default)(children)) === "object" && type === "text" && !!children && !!children.props;
            var childrenValue = isToChange && (children.props.value || children.props.defaultValue);

            // 特殊组件取值
            // TODO 考虑的组件还不够丰富，目前只有radio group 和 checkbox group
            if (isToChange) {
                // TODO children 是数组的话就会报错
                if (children.type == _radio2.default.Group) {
                    var child = children.props.children.filter(function (child) {
                        return child.props.value === childrenValue;
                    });
                    childrenValue = child[0].props.children;
                }

                // checkbox
                if (children.type == _checkbox2.default.Group) {
                    var arr = [];
                    childrenValue.forEach(function (item) {
                        children.props.options.forEach(function (child) {
                            child.value == item && arr.push(child.label);
                        });
                    });

                    if (arr.length > 1) {
                        //多个选项
                        childrenValue = arr.map(function (item, index) {
                            return _react2.default.createElement(
                                _tag2.default,
                                { key: index },
                                item
                            );
                        });
                    } else {
                        childrenValue = arr;
                    }
                }
            }

            var childrenClass = (0, _classnames2.default)({ 'none': !this.state.childrenVisible });
            var textClass = (0, _classnames2.default)({ 'none': this.state.childrenVisible });

            var _label = label && label;

            // let _children = isEasyEdit && !Array.isArray(children) && children.props && !/switch/.test(this.props.children.props.prefixCls) ?
            // <span><span className={textClass} onClick={() => this.toggleFormItem(event, children)}>{childrenValue ? childrenValue : this.props.msg}</span>
            // <span ref='qqq' className={childrenClass}>{children}</span></span>
            //     :
            //     children

            var _children = type === "text" ? _react2.default.createElement(
                'span',
                { className: textClass },
                childrenValue
            ) : children;

            // console.log(children.props && children.props.value )

            return _react2.default.createElement(
                AntFormItem,
                (0, _extends3.default)({}, props, {
                    style: _style,
                    label: _label,
                    labelWidth: labelWidth,
                    className: _class,
                    type: type
                }),
                _children
            );
        }
    }]);
    return FormItem;
}(_react.Component);

FormItem.propTypes = {
    labelVertical: _react2.default.PropTypes.bool,
    isEasyEdit: _react2.default.PropTypes.bool

};
FormItem.defaultProps = {
    labelVertical: false,
    isForm: true,
    msg: '点我填写',
    isEasyEdit: true,
    type: 'component'
};
exports.default = FormItem;
module.exports = exports['default'];