'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _style8 = require('../../antd/checkbox/style');

var _checkbox = require('../../antd/checkbox');

var _checkbox2 = _interopRequireDefault(_checkbox);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _style9 = require('../../antd/icon/style');

var _icon = require('../../antd/icon');

var _icon2 = _interopRequireDefault(_icon);

var _style10 = require('../../antd/input/style');

var _input = require('../../antd/input');

var _input2 = _interopRequireDefault(_input);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _wrap = require('../../olym/wrap');

var _wrap2 = _interopRequireDefault(_wrap);

var _panel = require('../../olym/panel');

var _panel2 = _interopRequireDefault(_panel);

var _style11 = require('../../antd/popover/style');

var _popover = require('../../antd/popover');

var _popover2 = _interopRequireDefault(_popover);

var _style12 = require('../../antd/button/style');

var _button = require('../../antd/button');

var _button2 = _interopRequireDefault(_button);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _formLayout = require('../../olym/form-layout');

var _formLayout2 = _interopRequireDefault(_formLayout);

var _style13 = require('../../antd/select/style');

var _select = require('../../antd/select');

var _select2 = _interopRequireDefault(_select);

var _style14 = require('../../antd/date-picker/style');

var _datePicker = require('../../antd/date-picker');

var _datePicker2 = _interopRequireDefault(_datePicker);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var RangePicker = _datePicker2.default.RangePicker;
var Option = _select2.default.Option;

var FormItem = _formLayout2.default.FormItem;

var selectWidth = 100;
var themeType = 'small';

var creatnew = true;

var AdSearch = function (_Component) {
    (0, _inherits3.default)(AdSearch, _Component);

    function AdSearch(props) {
        (0, _classCallCheck3.default)(this, AdSearch);

        var _this = (0, _possibleConstructorReturn3.default)(this, (AdSearch.__proto__ || (0, _getPrototypeOf2.default)(AdSearch)).call(this, props));

        _initialiseProps.call(_this);

        _this.state = {
            searchConditionMap: {},
            OtherConditionCheckedList: [],
            template: {}
        };
        return _this;
    }

    (0, _createClass3.default)(AdSearch, [{
        key: 'componentWillReceiveProps',
        value: function componentWillReceiveProps(nextProps) {
            if (this.props !== nextProps) {
                var searchCondition = nextProps.searchCondition || [];
                var searchConditionMap = {};
                searchCondition.map(function (con) {
                    searchConditionMap[con.id] = con.props;
                });
                var templateSource = nextProps.templateSource || [];
                var template = {};
                var templateNames = {};
                templateSource.map(function (tem) {
                    template[tem.id] = tem;
                    templateNames[tem.templateName] = tem;
                });
                this.setState({
                    searchConditionMap: searchConditionMap, template: template, templateNames: templateNames
                });
            }
        }
        //
        // componentWillUnmount(){
        //
        // }

    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            var _props = this.props,
                topButton = _props.topButton,
                searchCondition = _props.searchCondition,
                defaultCondition = _props.defaultCondition,
                templateSource = _props.templateSource,
                onSearch = _props.onSearch,
                onReSet = _props.onReSet,
                onSaveMySearch = _props.onSaveMySearch;

            var dc = [];
            var oc = [];
            searchCondition.map(function (con) {
                if (defaultCondition.indexOf(con.id) > -1) {
                    dc.push(con);
                } else {
                    oc.push(con);
                }
            });
            var topButtonChildren = this.getTopButtonChildren(topButton);
            var defaultConditionChildren = this.getDConChildren(dc, oc);
            if (onSearch) {
                defaultConditionChildren.push(_react2.default.createElement(
                    FormItem,
                    null,
                    _react2.default.createElement(_button2.default, { children: '\u67E5\u8BE2', size: themeType, onClick: function onClick() {
                            return onSearch();
                        } })
                ));
            }
            if (onReSet) {
                defaultConditionChildren.push(_react2.default.createElement(
                    FormItem,
                    null,
                    _react2.default.createElement(_button2.default, { children: '\u91CD\u7F6E', size: themeType, onClick: function onClick() {
                            return _this2.onReset();
                        } })
                ));
            }
            if (onSaveMySearch) {
                defaultConditionChildren.push(_react2.default.createElement(
                    FormItem,
                    null,
                    _react2.default.createElement(
                        _popover2.default,
                        { placement: 'bottom', trigger: 'click', content: this.getSaveMySearchContent(onSaveMySearch) },
                        _react2.default.createElement(_button2.default, { children: '\u5B58\u5165\u6211\u7684\u67E5\u8BE2', size: themeType })
                    )
                ));
            }
            if (templateSource && Array.isArray(templateSource) && templateSource.length > 0) {
                defaultConditionChildren.push(this.getTemplateChildren(templateSource));
            }

            var otherConditionChildren = this.getOtherConditionChildren(oc);
            creatnew = false;
            return _react2.default.createElement(
                _wrap2.default,
                null,
                _react2.default.createElement(
                    _panel2.default,
                    null,
                    _react2.default.createElement(_formLayout2.default, { key: 'topButton', children: topButtonChildren, inline: true, inputSize: themeType }),
                    _react2.default.createElement(_formLayout2.default, { key: 'defaultCondition', children: defaultConditionChildren, inline: true, inputSize: themeType }),
                    _react2.default.createElement(_formLayout2.default, { key: 'otherCondition', children: otherConditionChildren, inputSize: themeType, inline: true })
                )
            );
        }
    }]);
    return AdSearch;
}(_react.Component);

var _initialiseProps = function _initialiseProps() {
    var _this3 = this;

    this.getElement = function (props, creatnew) {
        var fieldCn = props.fieldCn,
            fieldEn = props.fieldEn,
            fieldType = props.fieldType,
            otherProps = (0, _objectWithoutProperties3.default)(props, ['fieldCn', 'fieldEn', 'fieldType']);

        var fieldValue = props.fieldValue || "";

        if (fieldType === 'text') {
            //input
            var InputGen = function InputGen() {
                return _react2.default.createElement(_input2.default, (0, _extends3.default)({ id: fieldEn }, _this3.state.searchConditionMap[fieldEn], { defaultValue: fieldValue }, otherProps));
            };
            return _react2.default.createElement(
                FormItem,
                { label: fieldCn },
                creatnew ? _react2.default.createElement(InputGen, null) : _react2.default.createElement(_input2.default, (0, _extends3.default)({ id: fieldEn }, _this3.state.searchConditionMap[fieldEn], { defaultValue: fieldValue }, otherProps))
            );
        } else if (fieldType === 'select') {
            //单选框
            // console.log(props)
            var SelectGen = function SelectGen() {
                return _react2.default.createElement(_select2.default, (0, _extends3.default)({ id: fieldEn, dropdownMatchSelectWidth: false }, _this3.state.searchConditionMap[fieldEn], { size: themeType, placeholder: '\u8BF7\u9009\u62E9', style: { width: selectWidth }, defaultValue: fieldValue }, otherProps));
            };
            return _react2.default.createElement(
                FormItem,
                { label: fieldCn, labelWidth: _this3.getLabelWidth(fieldCn) },
                creatnew ? _react2.default.createElement(SelectGen, null) : _react2.default.createElement(_select2.default, (0, _extends3.default)({ id: fieldEn, dropdownMatchSelectWidth: false }, _this3.state.searchConditionMap[fieldEn], { size: themeType, placeholder: '\u8BF7\u9009\u62E9', style: { width: selectWidth }, defaultValue: fieldValue }, otherProps))
            );
        } else if (fieldType === 'multi_select') {
            //多选框
            if (!fieldValue) {
                fieldValue = [];
            }
            var _SelectGen = function _SelectGen() {
                return _react2.default.createElement(_select2.default, (0, _extends3.default)({ id: fieldEn }, _this3.state.searchConditionMap[fieldEn], { defaultValue: fieldValue, multiple: true, dropdownMatchSelectWidth: false, size: themeType, placeholder: '\u8BF7\u9009\u62E9', style: { minWidth: selectWidth } }, otherProps));
            };
            return _react2.default.createElement(
                FormItem,
                { label: fieldCn, labelWidth: _this3.getLabelWidth(fieldCn) },
                creatnew ? _react2.default.createElement(_SelectGen, null) : _react2.default.createElement(_select2.default, (0, _extends3.default)({ id: fieldEn }, _this3.state.searchConditionMap[fieldEn], { defaultValue: fieldValue, multiple: true, dropdownMatchSelectWidth: false, size: themeType, placeholder: '\u8BF7\u9009\u62E9', style: { minWidth: selectWidth } }, otherProps))
            );
        } else if (fieldType === 'date') {
            //时间选择框
            var DatePickerGen = function DatePickerGen() {
                return _react2.default.createElement(_datePicker2.default, (0, _extends3.default)({ id: fieldEn }, _this3.state.searchConditionMap[fieldEn], otherProps));
            };
            return _react2.default.createElement(
                FormItem,
                null,
                creatnew ? _react2.default.createElement(DatePickerGen, null) : _react2.default.createElement(_datePicker2.default, (0, _extends3.default)({ id: fieldEn }, _this3.state.searchConditionMap[fieldEn], otherProps))
            );
        } else if (fieldType === 'date_range') {
            //时间范围选择
            // console.log("date_range",fieldValue)
            var defaultValue = [];
            if (fieldValue && typeof fieldValue === 'string') {
                //TODO 临时解决方案
                defaultValue = fieldValue.split(AdSearch.Split);
            } else {
                defaultValue = fieldValue;
            }

            if (typeof defaultValue[0] === 'string') {
                defaultValue[0] = defaultValue[0] ? (0, _moment2.default)(defaultValue[0], "YYYY-MM-DD") : null;
            }
            if (typeof defaultValue[1] === 'string') {
                defaultValue[1] = defaultValue[1] ? (0, _moment2.default)(defaultValue[1], "YYYY-MM-DD") : null;
            }

            //console.log("defaultValue",defaultValue)
            var RangeGen = function RangeGen() {
                return _react2.default.createElement(RangePicker, (0, _extends3.default)({ id: fieldEn, defaultValue: defaultValue, format: 'YYYY-MM-DD' }, _this3.state.searchConditionMap[fieldEn], otherProps));
            };
            return _react2.default.createElement(
                FormItem,
                null,
                creatnew ? _react2.default.createElement(RangeGen, null) : _react2.default.createElement(RangePicker, (0, _extends3.default)({ id: fieldEn, defaultValue: defaultValue, format: 'YYYY-MM-DD' }, _this3.state.searchConditionMap[fieldEn], otherProps))
            );
        }
    };

    this.getStringLength = function (str) {
        if (str == null) return 0;
        if (typeof str != "string") {
            str += "";
        }
        return str.replace(/[^\x00-\xff]/g, "01").length;
    };

    this.getLabelWidth = function (labelName) {
        if (labelName == null || labelName == '') {
            return null;
        } else {
            var length = Math.floor(_this3.getStringLength(labelName) / 2);
            if (length <= 2) {
                return '2em';
            } else if (length >= 8) {
                return '8em';
            } else {
                return length + 'em';
            }
        }
    };

    this.onArraySelect = function (value, option) {
        _this3.setState({
            arrSelectValue: value
        });
        _this3.props.onArraySelect && _this3.props.onArraySelect(value, option);
    };

    this.getDConChildren = function (dc, oc) {
        var children = [];
        dc.map(function (con) {
            var props = con.props;

            if (props) {
                var advancedconditionObj = _this3.getAdvancedconditionObj();
                if (Array.isArray(props)) {
                    var arrSelectValue = _this3.state.arrSelectValue || props[0].fieldEn;
                    var selectDefaultValue = "";
                    var options = props.map(function (prop) {
                        var fieldCn = prop.fieldCn,
                            fieldEn = prop.fieldEn,
                            fieldType = prop.fieldType,
                            otherProps = (0, _objectWithoutProperties3.default)(prop, ['fieldCn', 'fieldEn', 'fieldType']);

                        if (fieldEn === arrSelectValue) {
                            selectDefaultValue = fieldCn;
                        }
                        var optionProp = (0, _extends3.default)({ fieldType: fieldType }, otherProps);
                        return _react2.default.createElement(
                            Option,
                            (0, _extends3.default)({ value: fieldEn }, optionProp),
                            fieldCn
                        );
                    });
                    //console.log("selectDefaultValue",selectDefaultValue)
                    var SelectGen = function SelectGen() {
                        return _react2.default.createElement(_select2.default, { defaultValue: selectDefaultValue, children: options, dropdownMatchSelectWidth: false, onSelect: _this3.onArraySelect, size: themeType });
                    };
                    children.push(_react2.default.createElement(
                        FormItem,
                        null,
                        _react2.default.createElement(SelectGen, null)
                    ));
                    props.map(function (prop) {
                        if (prop.fieldEn === arrSelectValue) {
                            var _prop = prop;
                            if (advancedconditionObj) {
                                _prop = advancedconditionObj[arrSelectValue];
                                _prop.onChange = prop.onChange;
                            }
                            children.push(_this3.getElement(_prop, creatnew));
                        }
                    });
                } else {
                    children.push(_this3.getElement(advancedconditionObj ? advancedconditionObj[props.fieldEn] || props : props, creatnew));
                }
            }
        });
        if (oc.length > 0) {
            children.push(_react2.default.createElement(
                FormItem,
                null,
                _react2.default.createElement(
                    _popover2.default,
                    { title: _react2.default.createElement(
                            'span',
                            null,
                            '\u5176\u4ED6\u6761\u4EF6'
                        ), content: _this3.getOtherConditionContent(oc), placement: 'bottom', trigger: 'click' },
                    _react2.default.createElement(
                        'a',
                        null,
                        '+\u6761\u4EF6',
                        _react2.default.createElement(_icon2.default, { type: 'down', size: themeType })
                    )
                )
            ));
        }

        return children;
    };

    this.onOtherConditionChecked = function (e) {
        var _this3$setState;

        var OtherConditionCheckedList = _this3.state.OtherConditionCheckedList;
        if (e.target.checked) {
            OtherConditionCheckedList.push(e.target.id);
        } else {
            OtherConditionCheckedList = OtherConditionCheckedList.filter(function (item) {
                return item !== e.target.id;
            });
        }
        var propname = e.target.id + 'checked';
        _this3.setState((_this3$setState = {}, (0, _defineProperty3.default)(_this3$setState, propname, e.target.checked), (0, _defineProperty3.default)(_this3$setState, 'OtherConditionCheckedList', OtherConditionCheckedList), _this3$setState));
        _this3.props.onOtherConditionChecked && _this3.props.onOtherConditionChecked(e);
    };

    this.getAdvancedconditionObj = function () {
        if (!_this3.state.template || !_this3.state.selectedTemplateId) {
            return;
        }
        var template = _this3.state.template[_this3.state.selectedTemplateId];
        // console.log("template",template)
        if (template) {
            var advancedcondition = void 0;
            if (typeof template.advancedcondition === 'string') {
                advancedcondition = JSON.parse(template.advancedcondition);
            } else {
                advancedcondition = template.advancedcondition;
            }
            var advancedconditionObj = {};
            advancedcondition.map(function (con) {
                advancedconditionObj[con.fieldEn] = con;
            });
            return advancedconditionObj;
        }
    };

    this.getOtherConditionChildren = function (oc) {
        var children = [];
        var OtherConditionCheckedList = _this3.state.OtherConditionCheckedList;

        if (OtherConditionCheckedList.length > 0) {
            var _oc = {};
            oc.map(function (con) {
                _oc[con.id] = con;
            });
            var advancedconditionObj = _this3.getAdvancedconditionObj();
            OtherConditionCheckedList.forEach(function (ocId) {
                var condition = _oc[ocId];
                if (condition) {
                    //  console.log("condition",condition)
                    children.push(_this3.getElement(advancedconditionObj ? advancedconditionObj[ocId] || condition.props : condition.props));
                }
            });
        }
        return children;
    };

    this.getOtherConditionContent = function (oc) {
        var children = [];

        var selectedTemplate = _this3.state.selectedTemplate;
        var OtherConditionCheckedList = _this3.state.OtherConditionCheckedList;

        var template = void 0;
        var advancedcondition = void 0;
        var advancedconditionObj = void 0;
        if (selectedTemplate && _this3.state.template[selectedTemplate]) {
            template = _this3.state.template[selectedTemplate];
            if (typeof template.advancedcondition === 'string') {
                advancedcondition = JSON.parse(template.advancedcondition);
            } else {
                advancedcondition = template.advancedcondition;
            }
            advancedconditionObj = {};
            advancedcondition.map(function (con) {
                advancedconditionObj[con.fieldEn] = con;
            });
        }
        oc.map(function (con) {
            var checked = false;

            if (advancedconditionObj && advancedconditionObj[con.id] && OtherConditionCheckedList.indexOf(con.id) > -1) {
                checked = true;
            }
            var propname = con.id + 'checked';
            children.push(_react2.default.createElement(
                FormItem,
                null,
                _react2.default.createElement(
                    _checkbox2.default,
                    { id: con.id, checked: _this3.state[propname] || false, onChange: _this3.onOtherConditionChecked },
                    con.props.fieldCn
                )
            ));
        });
        return _react2.default.createElement(
            _wrap2.default,
            null,
            _react2.default.createElement(
                _panel2.default,
                null,
                _react2.default.createElement(_formLayout2.default, { key: 'ocContent', children: children, inline: true, inputSize: themeType })
            )
        );
    };

    this.getTemplateChildren = function (templateSource) {
        var children = [];
        templateSource.map(function (tem) {
            var id = tem.id,
                templateName = tem.templateName;

            var del = void 0;
            if (_this3.props.onDeleteMySearch) {
                del = _react2.default.createElement(
                    'a',
                    { onClick: function onClick(event) {
                            _this3.props.onDeleteMySearch(tem);
                            event.stopPropagation();
                        } },
                    _react2.default.createElement(_icon2.default, { type: 'cross', style: { float: 'right', paddingTop: 3 } })
                );
            }
            children.push(_react2.default.createElement(
                Option,
                { key: id, value: id },
                templateName,
                del
            ));
        });
        var value = _this3.state.selectedTemplateName || "";
        var props = {
            onSelect: _this3.onTemplateSelect,
            size: themeType,
            placeholder: "我的查询",
            dropdownMatchSelectWidth: false
        };
        if (value) {
            props.value = value;
        }
        var SelectGen = function SelectGen() {
            return _react2.default.createElement(
                _select2.default,
                (0, _extends3.default)({}, props, { style: { width: selectWidth } }),
                children
            );
        };
        return _react2.default.createElement(
            FormItem,
            null,
            _react2.default.createElement(SelectGen, null)
        );
    };

    this.onTemplateSelect = function (value, option) {
        var templateMap = _this3.state.template;
        var template = templateMap[value];
        var advancedcondition = template.advancedcondition,
            businessType = template.businessType,
            templateName = template.templateName;
        // console.log(template)

        if (typeof advancedcondition === 'string') {
            advancedcondition = JSON.parse(advancedcondition);
        }
        var OtherConditionCheckedList = [];
        var defaultCondition = _this3.props.defaultCondition;
        var _state = _this3.state,
            searchConditionMap = _state.searchConditionMap,
            arrSelectValue = _state.arrSelectValue;

        var list = [];
        defaultCondition.map(function (con) {
            if (Array.isArray(searchConditionMap[con])) {
                searchConditionMap[con].map(function (c) {
                    list.push(c.fieldEn);
                });
            }
        });
        advancedcondition.map(function (con) {
            if (list.indexOf(con.fieldEn) > -1) {
                arrSelectValue = con.fieldEn;
            }
            if (defaultCondition.indexOf(con.fieldEn) < 0) {
                var propname = con.fieldEn + 'checked';
                _this3.setState((0, _defineProperty3.default)({}, propname, true));
            }
            OtherConditionCheckedList.push(con.fieldEn);
        });
        _this3.setState({
            arrSelectValue: arrSelectValue,
            selectedTemplate: value,
            selectedTemplateName: templateName,
            selectedTemplateId: template.id,
            OtherConditionCheckedList: OtherConditionCheckedList
        });

        creatnew = true;
        _this3.props.onTemplateSelect && _this3.props.onTemplateSelect(template);
    };

    this.getSaveMySearchContent = function (onSaveMySearch) {
        var templateName = _this3.state.selectedTemplateName || "";
        var templateId = _this3.state.selectedTemplateId;
        var templateNames = _this3.state.templateNames;
        function onChange(e) {
            templateName = e.target.value;
            if (templateNames[templateName]) {
                templateId = templateNames[templateName].id;
            } else {
                templateId = -1;
            }
        }

        // const conditionList = Array.from(new Set(this.state.OtherConditionCheckedList.concat(this.props.defaultCondition)));
        //条件列表只返回选中的其他条件
        var conditionList = _this3.state.OtherConditionCheckedList;
        var checkedConditionList = _this3.clearDefaultCondition(conditionList, _this3.props.defaultCondition);
        _this3.clearDefaultCondition(conditionList, _this3.props.defaultCondition);
        var InputGen = function InputGen() {
            return _react2.default.createElement(_input2.default, { placeholder: '\u8BF7\u8F93\u5165\u6A21\u677F\u540D', onChange: onChange, defaultValue: templateName });
        };
        return _react2.default.createElement(
            _wrap2.default,
            null,
            _react2.default.createElement(
                _panel2.default,
                null,
                _react2.default.createElement(
                    _formLayout2.default,
                    { inline: true, inputSize: themeType },
                    _react2.default.createElement(
                        FormItem,
                        { label: '\u540D\u79F0' },
                        _react2.default.createElement(InputGen, null)
                    ),
                    _react2.default.createElement(
                        FormItem,
                        null,
                        _react2.default.createElement(_button2.default, { children: '\u4FDD\u5B58', size: themeType, onClick: function onClick() {
                                onSaveMySearch(templateName, checkedConditionList, templateId, _this3.props.searchCondition, _this3.props.defaultCondition);
                            } })
                    )
                )
            )
        );
    };

    this.clearDefaultCondition = function (conditionList, defaultCondition) {
        var defaultConditionList = [];
        var result = [];
        var searchConditionMap = _this3.state.searchConditionMap;
        defaultCondition.map(function (dc) {
            var con = searchConditionMap[dc];
            if (con) {
                if (Array.isArray(con)) {
                    con.forEach(function (c) {
                        defaultConditionList.push(c.fieldEn);
                    });
                } else {
                    defaultConditionList.push(dc);
                }
            }
        });
        conditionList.map(function (con) {
            if (defaultConditionList.indexOf(con) < 0) {
                result.push(con);
            }
        });
        return result;
    };

    this.getTopButtonChildren = function (topButton) {
        var children = [];
        topButton.map(function (_ref) {
            var props = _ref.props;
            var displayName = props.displayName,
                otherProps = (0, _objectWithoutProperties3.default)(props, ['displayName']);

            children.push(_react2.default.createElement(
                FormItem,
                null,
                _react2.default.createElement(_button2.default, (0, _extends3.default)({ children: displayName, size: themeType }, otherProps))
            ));
        });
        return children;
    };

    this.onReset = function () {
        var OtherConditionCheckedList = _this3.state.OtherConditionCheckedList;
        OtherConditionCheckedList.map(function (con) {
            var propname = con + 'checked';
            _this3.setState((0, _defineProperty3.default)({}, propname, false));
        });
        _this3.setState({
            selectedTemplateName: "",
            arrSelectValue: "",
            OtherConditionCheckedList: []
        });
        creatnew = true;
        _this3.props.onReSet();
    };
};

AdSearch.Split = " ~ ";
exports.default = AdSearch;
module.exports = exports['default'];