'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _style2 = require('../../antd/input/style');

var _input = require('../../antd/input');

var _input2 = _interopRequireDefault(_input);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _replaceTextArea = require('../replace-text-area');

var _replaceTextArea2 = _interopRequireDefault(_replaceTextArea);

var _replaceFunc = require('../util/replaceFunc');

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ReplaceInput = function (_Component) {
    (0, _inherits3.default)(ReplaceInput, _Component);

    function ReplaceInput(props) {
        (0, _classCallCheck3.default)(this, ReplaceInput);

        var _this = (0, _possibleConstructorReturn3.default)(this, (ReplaceInput.__proto__ || (0, _getPrototypeOf2.default)(ReplaceInput)).call(this, props));

        _this.state = {
            value: null
        };
        return _this;
    }

    (0, _createClass3.default)(ReplaceInput, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            (0, _replaceFunc.setPropsValue)(this.props.value, this);
        }
    }, {
        key: 'componentWillReceiveProps',
        value: function componentWillReceiveProps(nextProps) {
            if (nextProps.value !== this.props.value) {
                (0, _replaceFunc.setPropsValue)(nextProps.value, this);
            }
        }
    }, {
        key: 'shouldComponentUpdate',
        value: function shouldComponentUpdate(nextProps, nextState) {
            if (_lodash2.default.isEqual(nextProps, this.props) && _lodash2.default.isEqual(nextState, this.state)) {
                return false;
            }
            return true;
        }
    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            var _props = this.props,
                needReplace = _props.needReplace,
                needUppercase = _props.needUppercase,
                needTransform = _props.needTransform,
                onChange = _props.onChange,
                otherProps = (0, _objectWithoutProperties3.default)(_props, ['needReplace', 'needUppercase', 'needTransform', 'onChange']);

            return _react2.default.createElement(_input2.default, (0, _extends3.default)({}, otherProps, {
                value: this.state.value,
                onChange: onChange,
                onBlur: function onBlur(e) {
                    return (0, _replaceFunc.handleOnBlur)(e, _this2);
                } }));
        }
    }]);
    return ReplaceInput;
}(_react.Component); /**
                      * Created by Adon Wang on 2018/8/16.
                      */


ReplaceInput.PropTypes = {
    needReplace: _propTypes2.default.bool,
    needUppercase: _propTypes2.default.bool,
    needTransform: _propTypes2.default.bool
};

ReplaceInput.defaultProps = {
    needReplace: true,
    needUppercase: true,
    needTransform: true
};

ReplaceInput.Group = _input2.default.Group;
ReplaceInput.Search = _input2.default.Search;
ReplaceInput.TextArea = _replaceTextArea2.default;

exports.default = ReplaceInput;
module.exports = exports['default'];