'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _toConsumableArray2 = require('babel-runtime/helpers/toConsumableArray');

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

var _set = require('babel-runtime/core-js/set');

var _set2 = _interopRequireDefault(_set);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _style6 = require('../../antd/form/style');

var _form = require('../../antd/form');

var _form2 = _interopRequireDefault(_form);

var _style7 = require('../../antd/modal/style');

var _modal = require('../../antd/modal');

var _modal2 = _interopRequireDefault(_modal);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _style8 = require('../../antd/row/style');

var _row = require('../../antd/row');

var _row2 = _interopRequireDefault(_row);

var _style9 = require('../../antd/button/style');

var _button = require('../../antd/button');

var _button2 = _interopRequireDefault(_button);

var _style10 = require('../../antd/col/style');

var _col = require('../../antd/col');

var _col2 = _interopRequireDefault(_col);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _CustomTransfer = require('./CustomTransfer');

var _CustomTransfer2 = _interopRequireDefault(_CustomTransfer);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var titles = ['可选', '已选'];

function RedStar() {
	return _react2.default.createElement(
		'span',
		{ style: { color: 'red' } },
		'*'
	);
}

var CustomColumnsModal = function (_Component) {
	(0, _inherits3.default)(CustomColumnsModal, _Component);

	function CustomColumnsModal(props) {
		(0, _classCallCheck3.default)(this, CustomColumnsModal);

		var _this = (0, _possibleConstructorReturn3.default)(this, (CustomColumnsModal.__proto__ || (0, _getPrototypeOf2.default)(CustomColumnsModal)).call(this, props));

		_initialiseProps.call(_this);

		_this.state = _this.getInitState(props);
		return _this;
	}

	(0, _createClass3.default)(CustomColumnsModal, [{
		key: 'componentWillReceiveProps',
		value: function componentWillReceiveProps(nextProps) {
			this.setState(this.getInitState(nextProps));
		}
	}, {
		key: 'render',
		value: function render() {
			var _state = this.state,
			    dataSource = _state.dataSource,
			    targetKeys = _state.targetKeys,
			    selectedKeys = _state.selectedKeys;
			var _props = this.props,
			    visible = _props.visible,
			    onCancel = _props.onCancel;

			var footer = _react2.default.createElement(
				'div',
				{ className: 'footer-btn-layout' },
				_react2.default.createElement(
					'button',
					{ key: 'cancel', className: 'ant-btn ant-btn-lg', onClick: onCancel },
					'\u53D6 \u6D88'
				),
				_react2.default.createElement(
					'button',
					{ key: 'ok', className: 'ant-btn ant-btn-primary ant-btn-lg', onClick: this.handleOk },
					'\u786E \u5B9A'
				)
			);

			var modalOpts = {
				className: 'table-custom-column',
				maskClosable: false,
				visible: visible,
				onCancel: onCancel,
				footer: footer
			};

			var canMove = selectedKeys.length === 1;
			var canMoveTop = selectedKeys.length >= 1;
			var btnType = canMove ? 'primary' : 'default';
			var toTopBtnType = canMoveTop ? 'primary' : 'default';
			var isFirst = canMove && targetKeys[0] === selectedKeys[0];
			var isLast = canMove && targetKeys.length > 1 && targetKeys[targetKeys.length - 1] === selectedKeys[0];

			var upBtnProps = {
				icon: 'up',
				size: 'small',
				type: btnType,
				disabled: isFirst || !canMove,
				onClick: this.handleMoveUp
			};

			var downBtnProps = {
				icon: 'down',
				size: 'small',
				type: btnType,
				disabled: isLast || !canMove,
				onClick: this.handleMoveDown
			};
			var toTopProps = {
				onClick: this.handleMoveTop,
				size: 'small',
				key: 'toTop',
				type: toTopBtnType,
				disabled: !canMoveTop,
				style: { marginTop: '4px' }
			};

			return _react2.default.createElement(
				_button2.default,
				(0, _extends3.default)({}, this.props.buttonProps, { onClick: this.handleShow }),
				'\u81EA\u5B9A\u4E49\u5217',
				_react2.default.createElement(
					_modal2.default,
					(0, _extends3.default)({}, modalOpts, { onCancel: this.handleClose, visible: this.state.visible }),
					_react2.default.createElement(
						_row2.default,
						null,
						_react2.default.createElement(
							_col2.default,
							{ span: 20 },
							_react2.default.createElement(_CustomTransfer2.default, {
								showSearch: true,
								titles: titles,
								listStyle: { width: 180, height: 300 },
								targetKeys: targetKeys,
								dataSource: dataSource,
								render: this.renderItem,
								onSelectChange: this.handleSelectChange,
								onChange: this.handleTransferChange
							})
						),
						_react2.default.createElement(
							_col2.default,
							{ span: 2 },
							_react2.default.createElement(
								'div',
								{ className: 'ant-transfer-operation transfer-updown ' },
								_react2.default.createElement(_button2.default, upBtnProps),
								_react2.default.createElement(_button2.default, downBtnProps),
								_react2.default.createElement(
									_button2.default,
									toTopProps,
									'\u7F6E\u9876'
								)
							)
						)
					)
				)
			);
		}
	}]);
	return CustomColumnsModal;
}(_react.Component);

CustomColumnsModal.defaultProps = {
	columnKeys: [],
	fixCols: 0
};

var _initialiseProps = function _initialiseProps() {
	var _this2 = this;

	this.getInitState = function () {
		var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _this2.props;

		var customColumns = props.customColumns || [];
		var targetKeys = [];
		var dataSource = [];
		var requiredKeys = [];
		customColumns.forEach(function (item) {
			if (item.required === true || item.required === 'true') {
				requiredKeys.push(item.dataIndex);
			}
			if (item.orderNo > 0) {
				targetKeys.push(item.dataIndex);
			}
			var data = (0, _extends3.default)({
				key: item.dataIndex
			}, item);
			dataSource.push(data);
		});
		return {
			dataSource: dataSource,
			targetKeys: targetKeys,
			fixCols: props.fixCols,
			selectedKeys: [],
			visible: false,
			requiredKeys: requiredKeys
		};
	};

	this.handleOk = function () {
		var columnKeys = _this2.props.columnKeys;
		var _state2 = _this2.state,
		    targetKeys = _state2.targetKeys,
		    selectedKeys = _state2.selectedKeys,
		    dataSource = _state2.dataSource,
		    values = (0, _objectWithoutProperties3.default)(_state2, ['targetKeys', 'selectedKeys', 'dataSource']);

		values.columnKeys = targetKeys.map(function (key) {
			return columnKeys.filter(function (info) {
				return info.dataIndex === key;
			})[0] || { key: key };
		});
		_this2.props.onOk(values);
	};

	this.handleSelectChange = function (_ref, checked) {
		var key = _ref.key;
		var _state3 = _this2.state,
		    selectedKeys = _state3.selectedKeys,
		    targetKeys = _state3.targetKeys;

		var _selectedKeys = _lodash2.default.cloneDeep(selectedKeys);
		var checkedLen = checked.length;
		var targetKeysLen = targetKeys.length;
		if (Array.isArray(checked)) {
			if (checkedLen === 0) {
				_selectedKeys = [];
			} else {
				if (checkedLen === targetKeysLen) {
					_selectedKeys = checked;
				}
			}
		} else {
			if (targetKeys.indexOf(key) > -1) {
				if (checked) {
					_selectedKeys = _selectedKeys.concat(key);
				} else {
					_selectedKeys = _selectedKeys.filter(function (item) {
						return item !== key;
					});
				}
			}
		}
		_this2.setState({ selectedKeys: _selectedKeys });
	};

	this.handleTransferChange = function (targetKeys, direction, moveKeys) {
		var newTargetKeys = _this2.state.targetKeys;
		if (direction === 'left') {
			_this2.setState({ selectedKeys: [] });
			// 必选字段是无法移动的
			moveKeys = moveKeys.filter(function (key) {
				return !_this2.state.requiredKeys.includes(key);
			});
			newTargetKeys = newTargetKeys.filter(function (key) {
				return moveKeys.indexOf(key) === -1;
			});
		} else {
			newTargetKeys = newTargetKeys.concat(moveKeys);
		}
		_this2.setState({ targetKeys: newTargetKeys });
	};

	this.handleFixColsChange = function (value) {
		_this2.setState({ fixCols: value });
	};

	this.handleMoveUp = function () {
		var _state4 = _this2.state,
		    selectedKeys = _state4.selectedKeys,
		    targetKeys = _state4.targetKeys;

		var selectedKey = selectedKeys[0];
		var tmp = targetKeys.concat();
		var idx = tmp.indexOf(selectedKey);
		if (idx !== 0) {
			var targetIdx = idx - 1;
			var targetKey = tmp[targetIdx];
			tmp[targetIdx] = selectedKey;
			tmp[idx] = targetKey;
			_this2.setState({ targetKeys: tmp });
		}
	};

	this.handleMoveDown = function () {
		var _state5 = _this2.state,
		    selectedKeys = _state5.selectedKeys,
		    targetKeys = _state5.targetKeys;

		var selectedKey = selectedKeys[0];
		var tmp = targetKeys.concat();
		var idx = tmp.indexOf(selectedKey);
		if (idx + 1 !== tmp.length) {
			var targetIdx = idx + 1;
			var targetKey = tmp[targetIdx];
			tmp[targetIdx] = selectedKey;
			tmp[idx] = targetKey;
			_this2.setState({ targetKeys: tmp });
		}
	};

	this.handleMoveTop = function () {
		var _state6 = _this2.state,
		    selectedKeys = _state6.selectedKeys,
		    targetKeys = _state6.targetKeys;

		var newTargetKeys = _lodash2.default.cloneDeep(targetKeys);
		var tmp = new _set2.default(selectedKeys.concat(newTargetKeys));
		var newTmp = [].concat((0, _toConsumableArray3.default)(tmp));
		_this2.setState({ targetKeys: newTmp });
	};

	this.renderItem = function (item) {
		var customLabel = _react2.default.createElement(
			'span',
			null,
			_react2.default.createElement(
				'span',
				{ style: { marginRight: 2 } },
				item.required === true || item.required === 'true' ? _react2.default.createElement(RedStar, null) : ' '
			),
			item.title
		);
		return {
			label: customLabel, // for displayed item
			value: item.title };
	};

	this.handleShow = function () {
		_this2.setState({ visible: true });
	};

	this.handleClose = function () {
		_this2.setState({ visible: false });
	};
};

exports.default = _form2.default.create()(CustomColumnsModal);
module.exports = exports['default'];