'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _requestHandler = require('../util/requestHandler');

var _requestHandler2 = _interopRequireDefault(_requestHandler);

var _querystring = require('querystring');

var _querystring2 = _interopRequireDefault(_querystring);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  getCustomLine: function () {
    var _ref = (0, _asyncToGenerator3.default)(_regenerator2.default.mark(function _callee(param) {
      var url;
      return _regenerator2.default.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              url = '/fms-rest/rest/customLine?_method=get';
              _context.next = 3;
              return (0, _requestHandler2.default)({
                url: url,
                option: {
                  method: "POST",
                  body: _querystring2.default.stringify(param),
                  needLoad: true
                }
              });

            case 3:
              return _context.abrupt('return', _context.sent);

            case 4:
            case 'end':
              return _context.stop();
          }
        }
      }, _callee, undefined);
    }));

    return function getCustomLine(_x) {
      return _ref.apply(this, arguments);
    };
  }(),
  saveCustomLine: function () {
    var _ref2 = (0, _asyncToGenerator3.default)(_regenerator2.default.mark(function _callee2(param) {
      var url;
      return _regenerator2.default.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              url = '/fms-rest/rest/customLine';
              _context2.next = 3;
              return (0, _requestHandler2.default)({
                url: url,
                option: {
                  method: "POST",
                  body: _querystring2.default.stringify(param),
                  needLoad: true
                }
              });

            case 3:
              return _context2.abrupt('return', _context2.sent);

            case 4:
            case 'end':
              return _context2.stop();
          }
        }
      }, _callee2, undefined);
    }));

    return function saveCustomLine(_x2) {
      return _ref2.apply(this, arguments);
    };
  }(),
  saveCustomPageSize: function () {
    var _ref3 = (0, _asyncToGenerator3.default)(_regenerator2.default.mark(function _callee3(customVo, pageSize) {
      var url;
      return _regenerator2.default.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              url = '/fms-rest/rest/customLine/savePageSize';
              _context3.next = 3;
              return (0, _requestHandler2.default)({
                url: url,
                option: {
                  method: "POST",
                  body: _querystring2.default.stringify((0, _extends3.default)({
                    pageSize: pageSize
                  }, customVo)),
                  needLoad: true
                }
              });

            case 3:
              return _context3.abrupt('return', _context3.sent);

            case 4:
            case 'end':
              return _context3.stop();
          }
        }
      }, _callee3, undefined);
    }));

    return function saveCustomPageSize(_x3, _x4) {
      return _ref3.apply(this, arguments);
    };
  }()
};
module.exports = exports['default'];