'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _style2 = require('../../antd/tag/style');

var _tag = require('../../antd/tag');

var _tag2 = _interopRequireDefault(_tag);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _classnames2 = require('classnames');

var _classnames3 = _interopRequireDefault(_classnames2);

require('./styles/index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Tag = function (_Component) {
    (0, _inherits3.default)(Tag, _Component);

    function Tag() {
        (0, _classCallCheck3.default)(this, Tag);
        return (0, _possibleConstructorReturn3.default)(this, (Tag.__proto__ || (0, _getPrototypeOf2.default)(Tag)).apply(this, arguments));
    }

    (0, _createClass3.default)(Tag, [{
        key: 'render',
        value: function render() {
            var _classnames;

            var _props = this.props,
                children = _props.children,
                className = _props.className,
                size = _props.size,
                hasTag = _props.hasTag,
                prefixCls = _props.prefixCls,
                props = (0, _objectWithoutProperties3.default)(_props, ['children', 'className', 'size', 'hasTag', 'prefixCls']);


            var _class = (0, _classnames3.default)(className, prefixCls, (_classnames = {}, (0, _defineProperty3.default)(_classnames, prefixCls + '--' + size, /mini|small|middle|large/.test(size)), (0, _defineProperty3.default)(_classnames, prefixCls + '--has-tag', hasTag), _classnames));

            return _react2.default.createElement(
                _tag2.default,
                (0, _extends3.default)({}, props, {
                    className: _class
                }),
                children
            );
        }
    }]);
    return Tag;
}(_react.Component);

Tag.defaultProps = {
    prefixCls: "o-tag"
};
exports.default = Tag;
module.exports = exports['default'];