'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _style2 = require('../../antd/input/style');

var _input = require('../../antd/input');

var _input2 = _interopRequireDefault(_input);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _TextAreaBigModal = require('./TextAreaBigModal');

var _TextAreaBigModal2 = _interopRequireDefault(_TextAreaBigModal);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('./style.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TextArea = function (_Component) {
	(0, _inherits3.default)(TextArea, _Component);

	function TextArea(props) {
		(0, _classCallCheck3.default)(this, TextArea);

		var _this = (0, _possibleConstructorReturn3.default)(this, (TextArea.__proto__ || (0, _getPrototypeOf2.default)(TextArea)).call(this, props));

		_this.openModal = function () {
			_this.setState({
				visible: true
			});
		};

		_this.handleOk = function (value) {
			_this.setState({
				visible: false
			}, function () {
				return _this.props.onChange && _this.props.onChange({
					target: {
						value: value
					}
				});
			});
		};

		_this.handleCancel = function () {
			_this.setState({
				visible: false
			});
		};

		_this.state = {
			visible: false
		};
		return _this;
	}

	(0, _createClass3.default)(TextArea, [{
		key: 'render',
		value: function render() {
			// console.log('props',this.props)
			var visible = this.state.visible;
			var _props = this.props,
			    bigAutoSize = _props.bigAutoSize,
			    needBigModal = _props.needBigModal,
			    value = _props.value,
			    otherProps = (0, _objectWithoutProperties3.default)(_props, ['bigAutoSize', 'needBigModal', 'value']);

			var modalOpts = {
				visible: visible,
				onCancel: this.handleCancel,
				value: value,
				onOk: this.handleOk,
				autosize: (0, _extends3.default)({
					maxRows: 20
				}, bigAutoSize)
			};
			return _react2.default.createElement(
				'span',
				null,
				_react2.default.createElement(_input2.default.TextArea, (0, _extends3.default)({
					onDoubleClick: needBigModal ? this.openModal : null
				}, otherProps, {
					value: value
				})),
				_react2.default.createElement(_TextAreaBigModal2.default, modalOpts)
			);
		}
	}]);
	return TextArea;
}(_react.Component);

TextArea.PropTypes = {
	bigAutoSize: _propTypes2.default.object,
	needBigModal: _propTypes2.default.bool
};

TextArea.defaultProps = {
	bigAutoSize: {
		minRows: 10,
		maxRows: 30
	},
	needBigModal: true
};

exports.default = TextArea;
module.exports = exports['default'];