'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _text = require('../text');

var _text2 = _interopRequireDefault(_text);

var _tooltip = require('../tooltip');

var _tooltip2 = _interopRequireDefault(_tooltip);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var splitStr = "$$$";

var Toe = function (_Component) {
    (0, _inherits3.default)(Toe, _Component);

    function Toe(props) {
        (0, _classCallCheck3.default)(this, Toe);
        return (0, _possibleConstructorReturn3.default)(this, (Toe.__proto__ || (0, _getPrototypeOf2.default)(Toe)).call(this, props));
    }

    // calcStringPixelsCount = (str, strFontSize) => {
    //     if(!str){
    //         return 0;
    //     }
    //
    //     // 字符串字符个数
    //     const stringCharsCount = str.length;
    //
    //     // 字符串像素个数
    //     let stringPixelsCount = 0;
    //
    //     // JS 创建HTML元素：span
    //     let elementPixelsLengthRuler = document.createElement("span");
    //     if(strFontSize){
    //         elementPixelsLengthRuler.style.fontSize = strFontSize;  // 设置span的fontsize
    //     }
    //     elementPixelsLengthRuler.style.visibility = "hidden";  // 设置span不可见
    //     elementPixelsLengthRuler.style.display = "inline-block";
    //     elementPixelsLengthRuler.style.wordBreak = "break-all !important";  // 打断单词
    //
    //     // 添加span
    //     document.body.appendChild(elementPixelsLengthRuler);
    //
    //     for (let i = 0; i < stringCharsCount; i++) {
    //         // 判断字符是否为空格，如果是用&nbsp;替代，原因如下：
    //         // 1）span计算单个空格字符（ ），其像素长度为0
    //         // 2）空格字符在字符串的开头或者结果，计算时会忽略字符串
    //         if (str[i] === " ") {
    //             elementPixelsLengthRuler.innerHTML = "&nbsp;";
    //         } else {
    //             elementPixelsLengthRuler.innerHTML = str[i];
    //         }
    //
    //         stringPixelsCount += elementPixelsLengthRuler.offsetWidth;
    //     }
    //
    //     return stringPixelsCount;
    // };

    (0, _createClass3.default)(Toe, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                value = _props.value,
                width = _props.width,
                showFirst = _props.showFirst,
                otherProps = (0, _objectWithoutProperties3.default)(_props, ['value', 'width', 'showFirst']);
            // const px = this.calcStringPixelsCount(value);
            // const widthInt = width.split("px")[0];

            var widthInt = void 0;
            var widthStr = void 0;
            if (typeof width === 'string') {
                widthInt = width.split("px")[0];
                widthStr = width;
            } else if (typeof width === 'number') {
                widthInt = width;
                widthStr = width + "px";
            } else {
                throw new Error("Width能不能别乱传参数啊");
            }
            //
            // console.log(widthInt,widthStr)

            function splitToEnter(str, splitStr) {
                var ret = [];
                var arr = str.split(splitStr);
                arr.forEach(function (item) {
                    ret.push(item);
                    ret.push(_react2.default.createElement('br', null));
                });

                ret.splice(-1, 1);
                return ret;
            }

            if (value && typeof value === 'string') {
                value = splitToEnter(value, splitStr);
            } else if (value && Array.isArray(value)) {
                value = splitToEnter(value.join(splitStr), splitStr);
            } else if (!value) {} else {
                throw new Error("Toe 组件只接收 String 或 Array格式数据!");
            }
            var textProps = (0, _extends3.default)({
                width: widthStr
            }, otherProps);
            if (width) {
                var className = "dpib toe";
                var _width = { width: widthStr },
                    styles = (0, _objectWithoutProperties3.default)(_width, []);

                if (showFirst) {
                    return _react2.default.createElement(
                        'div',
                        null,
                        _react2.default.createElement(
                            _tooltip2.default,
                            { title: value, placement: 'top', key: value.join(), overlayClassName: 'autoline' },
                            _react2.default.createElement(
                                'span',
                                { className: className, style: (0, _extends3.default)({}, styles) },
                                value[0]
                            )
                        )
                    );
                }
                return _react2.default.createElement(
                    'div',
                    null,
                    value && value.map(function (v) {
                        if (typeof v === "string") {
                            return _react2.default.createElement(
                                _tooltip2.default,
                                { title: v, placement: 'top', key: v, overlayClassName: 'autoline' },
                                _react2.default.createElement(
                                    'span',
                                    { className: className, style: (0, _extends3.default)({}, styles) },
                                    v
                                )
                            );
                        } else {
                            return v;
                        }
                    })
                );
            }

            return _react2.default.createElement(
                _text2.default,
                textProps,
                value
            );
        }
    }]);
    return Toe;
}(_react.Component);

Toe.split = splitStr;
exports.default = Toe;
module.exports = exports['default'];