import Message from '../../antd/message';
import '../../antd/message/style';
import request from './request'

const requestHandler = async ({url, option}) => {
  let result = await request(url, option)
  if (result && result.resultCode === 100) {
    return result.data
  } else if (result.resultMsg) {
    console.error(result.resultMsg)
    Message.error(result.resultMsg || '加载失败，请稍候重试!')
    throw new Error(result.resultMsg)
  }
}

export default requestHandler