'use strict';

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _defineProperties = require('babel-runtime/core-js/object/define-properties');

var _defineProperties2 = _interopRequireDefault(_defineProperties);

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _index = require('../index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var delay = function delay(timeout) {
  return new _promise2.default(function (resolve) {
    return setTimeout(resolve, timeout);
  });
};
var testMethod = typeof window !== 'undefined' ? it : xit;

describe('Card', function () {
  function fakeResizeWindowTo(wrapper, width) {
    (0, _defineProperties2.default)(wrapper.node.container, {
      offsetWidth: {
        get: function get() {
          return width;
        },

        configurable: true
      }
    });
    window.resizeTo(width);
  }

  testMethod('resize card will trigger different padding', (0, _asyncToGenerator3.default)(_regenerator2.default.mark(function _callee() {
    var wrapper;
    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            wrapper = (0, _enzyme.mount)(_react2.default.createElement(
              _index2.default,
              { title: 'xxx' },
              'xxx'
            ));

            fakeResizeWindowTo(wrapper, 1000);
            _context.next = 4;
            return delay(0);

          case 4:
            expect(wrapper.hasClass('ant-card-wider-padding')).toBe(true);
            fakeResizeWindowTo(wrapper, 800);
            _context.next = 8;
            return delay(0);

          case 8:
            expect(wrapper.hasClass('ant-card-wider-padding')).toBe(false);

          case 9:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, undefined);
  })));
});