'use strict';

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _ = require('../../');

var _en_GB = require('../en_GB');

var _en_GB2 = _interopRequireDefault(_en_GB);

var _fr_FR = require('../fr_FR');

var _fr_FR2 = _interopRequireDefault(_fr_FR);

var _nl_BE = require('../nl_BE');

var _nl_BE2 = _interopRequireDefault(_nl_BE);

var _it_IT = require('../it_IT');

var _it_IT2 = _interopRequireDefault(_it_IT);

var _en_US = require('../en_US');

var _en_US2 = _interopRequireDefault(_en_US);

var _pt_BR = require('../pt_BR');

var _pt_BR2 = _interopRequireDefault(_pt_BR);

var _pt_PT = require('../pt_PT');

var _pt_PT2 = _interopRequireDefault(_pt_PT);

var _ru_RU = require('../ru_RU');

var _ru_RU2 = _interopRequireDefault(_ru_RU);

var _es_ES = require('../es_ES');

var _es_ES2 = _interopRequireDefault(_es_ES);

var _sv_SE = require('../sv_SE');

var _sv_SE2 = _interopRequireDefault(_sv_SE);

var _fr_BE = require('../fr_BE');

var _fr_BE2 = _interopRequireDefault(_fr_BE);

var _de_DE = require('../de_DE');

var _de_DE2 = _interopRequireDefault(_de_DE);

var _nl_NL = require('../nl_NL');

var _nl_NL2 = _interopRequireDefault(_nl_NL);

var _ca_ES = require('../ca_ES');

var _ca_ES2 = _interopRequireDefault(_ca_ES);

var _cs_CZ = require('../cs_CZ');

var _cs_CZ2 = _interopRequireDefault(_cs_CZ);

var _ko_KR = require('../ko_KR');

var _ko_KR2 = _interopRequireDefault(_ko_KR);

var _et_EE = require('../et_EE');

var _et_EE2 = _interopRequireDefault(_et_EE);

var _sk_SK = require('../sk_SK');

var _sk_SK2 = _interopRequireDefault(_sk_SK);

var _ja_JP = require('../ja_JP');

var _ja_JP2 = _interopRequireDefault(_ja_JP);

var _tr_TR = require('../tr_TR');

var _tr_TR2 = _interopRequireDefault(_tr_TR);

var _zh_TW = require('../zh_TW');

var _zh_TW2 = _interopRequireDefault(_zh_TW);

var _fi_FI = require('../fi_FI');

var _fi_FI2 = _interopRequireDefault(_fi_FI);

var _pl_PL = require('../pl_PL');

var _pl_PL2 = _interopRequireDefault(_pl_PL);

var _bg_BG = require('../bg_BG');

var _bg_BG2 = _interopRequireDefault(_bg_BG);

var _vi_VN = require('../vi_VN');

var _vi_VN2 = _interopRequireDefault(_vi_VN);

var _th_TH = require('../th_TH');

var _th_TH2 = _interopRequireDefault(_th_TH);

var _fa_IR = require('../fa_IR');

var _fa_IR2 = _interopRequireDefault(_fa_IR);

var _el_GR = require('../el_GR');

var _el_GR2 = _interopRequireDefault(_el_GR);

var _nb_NO = require('../nb_NO');

var _nb_NO2 = _interopRequireDefault(_nb_NO);

var _sr_RS = require('../sr_RS');

var _sr_RS2 = _interopRequireDefault(_sr_RS);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var locales = [_en_US2.default, _pt_PT2.default, _pt_BR2.default, _ru_RU2.default, _es_ES2.default, _sv_SE2.default, _fr_BE2.default, _de_DE2.default, _nl_NL2.default, _ca_ES2.default, _cs_CZ2.default, _ko_KR2.default, _et_EE2.default, _sk_SK2.default, _ja_JP2.default, _tr_TR2.default, _zh_TW2.default, _fi_FI2.default, _pl_PL2.default, _bg_BG2.default, _en_GB2.default, _fr_FR2.default, _nl_BE2.default, _it_IT2.default, _vi_VN2.default, _th_TH2.default, _fa_IR2.default, _el_GR2.default, _nb_NO2.default, _sr_RS2.default];

var Option = _.Select.Option;
var RangePicker = _.DatePicker.RangePicker;


var columns = [{
  title: 'Name',
  dataIndex: 'name',
  filters: [{
    text: 'filter1',
    value: 'filter1'
  }]
}, {
  title: 'Age',
  dataIndex: 'age'
}];

var App = function App() {
  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(_.Pagination, { defaultCurrent: 1, total: 50, showSizeChanger: true }),
    _react2.default.createElement(
      _.Select,
      { showSearch: true, style: { width: 200 } },
      _react2.default.createElement(
        Option,
        { value: 'jack' },
        'jack'
      ),
      _react2.default.createElement(
        Option,
        { value: 'lucy' },
        'lucy'
      )
    ),
    _react2.default.createElement(_.DatePicker, null),
    _react2.default.createElement(_.TimePicker, null),
    _react2.default.createElement(RangePicker, { style: { width: 200 } }),
    _react2.default.createElement(
      _.Popconfirm,
      { title: 'Question?', visible: true },
      _react2.default.createElement(
        'a',
        null,
        'Click to confirm'
      )
    ),
    _react2.default.createElement(_.Transfer, {
      dataSource: [],
      showSearch: true,
      targetKeys: [],
      render: function render(item) {
        return item.title;
      }
    }),
    _react2.default.createElement(_.Calendar, { fullscreen: false, value: (0, _moment2.default)() }),
    _react2.default.createElement(_.Table, { dataSource: [], columns: columns }),
    _react2.default.createElement(
      _.Modal,
      { title: 'Locale Modal', visible: true },
      _react2.default.createElement(
        'p',
        null,
        'Locale Modal'
      )
    )
  );
};

describe('Locale Provider', function () {
  it('should display the text as locale changed', function () {
    locales.forEach(function (locale) {
      var wrapper = (0, _enzyme.mount)(_react2.default.createElement(
        _.LocaleProvider,
        { locale: locale },
        _react2.default.createElement(App, null)
      ));
      var DatePickerPlaceholder = wrapper.find('.ant-calendar-picker-input').at(0).node.getAttribute('placeholder');
      expect(DatePickerPlaceholder).toBe(locale.DatePicker.lang.placeholder);
    });
  });

  it('should change locale of Modal.xxx', function () {
    var ModalDemo = function (_React$Component) {
      (0, _inherits3.default)(ModalDemo, _React$Component);

      function ModalDemo() {
        (0, _classCallCheck3.default)(this, ModalDemo);
        return (0, _possibleConstructorReturn3.default)(this, (ModalDemo.__proto__ || (0, _getPrototypeOf2.default)(ModalDemo)).apply(this, arguments));
      }

      (0, _createClass3.default)(ModalDemo, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
          _.Modal.confirm({
            title: 'Hello World!'
          });
        }
      }, {
        key: 'render',
        value: function render() {
          return null;
        }
      }]);
      return ModalDemo;
    }(_react2.default.Component);

    locales.forEach(function (locale) {
      (0, _enzyme.mount)(_react2.default.createElement(
        _.LocaleProvider,
        { locale: locale },
        _react2.default.createElement(ModalDemo, null)
      ));
      var currentConfirmNode = document.querySelectorAll('.ant-confirm')[document.querySelectorAll('.ant-confirm').length - 1];
      var cancelButtonText = currentConfirmNode.querySelectorAll('.ant-btn:not(.ant-btn-primary) span')[0].innerHTML;
      var okButtonText = currentConfirmNode.querySelectorAll('.ant-btn-primary span')[0].innerHTML;
      expect(cancelButtonText).toBe(locale.Modal.cancelText);
      expect(okButtonText).toBe(locale.Modal.okText);
    });
  });
});