'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _TimePicker = require('rc-time-picker/lib/TimePicker');

var _TimePicker2 = _interopRequireDefault(_TimePicker);

var _ = require('..');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('TimePicker', function () {
  it('renders addon correctly', function () {
    var addon = function addon() {
      return _react2.default.createElement(
        'button',
        null,
        'Ok'
      );
    };
    var wrapper = (0, _enzyme.mount)(_react2.default.createElement(_2.default, { addon: addon }));
    var rcTimePicker = wrapper.find(_TimePicker2.default);
    var addonWrapper = (0, _enzyme.render)(rcTimePicker.props().addon());

    expect(addonWrapper).toMatchSnapshot();
  });
});