'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _style10 = require('../../antd/icon/style');

var _icon = require('../../antd/icon');

var _icon2 = _interopRequireDefault(_icon);

var _tag = require('../../olym/tag');

var _tag2 = _interopRequireDefault(_tag);

var _style11 = require('../../antd/message/style');

var _message = require('../../antd/message');

var _message2 = _interopRequireDefault(_message);

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _style12 = require('../../antd/auto-complete/style');

var _autoComplete = require('../../antd/auto-complete');

var _autoComplete2 = _interopRequireDefault(_autoComplete);

var _style13 = require('../../antd/cascader/style');

var _cascader = require('../../antd/cascader');

var _cascader2 = _interopRequireDefault(_cascader);

var _style14 = require('../../antd/input/style');

var _input = require('../../antd/input');

var _input2 = _interopRequireDefault(_input);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _map = require('babel-runtime/core-js/map');

var _map2 = _interopRequireDefault(_map);

var _wrap = require('../../olym/wrap');

var _wrap2 = _interopRequireDefault(_wrap);

var _panel = require('../../olym/panel');

var _panel2 = _interopRequireDefault(_panel);

var _style15 = require('../../antd/row/style');

var _row = require('../../antd/row');

var _row2 = _interopRequireDefault(_row);

var _style16 = require('../../antd/col/style');

var _col = require('../../antd/col');

var _col2 = _interopRequireDefault(_col);

var _style17 = require('../../antd/popover/style');

var _popover = require('../../antd/popover');

var _popover2 = _interopRequireDefault(_popover);

var _style18 = require('../../antd/button/style');

var _button = require('../../antd/button');

var _button2 = _interopRequireDefault(_button);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _select = require('../../olym/select');

var _select2 = _interopRequireDefault(_select);

var _datePicker = require('../../olym/date-picker');

var _datePicker2 = _interopRequireDefault(_datePicker);

var _formLayout = require('../../olym/form-layout');

var _formLayout2 = _interopRequireDefault(_formLayout);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _CustomTopLine = require('./CustomTopLine');

var _CustomTopLine2 = _interopRequireDefault(_CustomTopLine);

var _CustomFootLine = require('./CustomFootLine');

var _CustomFootLine2 = _interopRequireDefault(_CustomFootLine);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FormItem = _formLayout2.default.FormItem;
var RangePicker = _datePicker2.default.RangePicker;
var selectWidth = 100;
var themeType = 'small';
var Option = _select2.default.Option;

var AdSearch = function (_Component) {
  (0, _inherits3.default)(AdSearch, _Component);

  function AdSearch(props) {
    (0, _classCallCheck3.default)(this, AdSearch);

    var _this2 = (0, _possibleConstructorReturn3.default)(this, (AdSearch.__proto__ || (0, _getPrototypeOf2.default)(AdSearch)).call(this, props));

    _initialiseProps.call(_this2);

    var _this2$initData = _this2.initData(props),
        data = _this2$initData.data,
        dcList = _this2$initData.dcList,
        ocMap = _this2$initData.ocMap,
        dcMap = _this2$initData.dcMap,
        arrSelectValue = _this2$initData.arrSelectValue;

    var template = _this2.initTemplate(props);
    var templateNames = {};
    for (var id in template) {
      templateNames[template[id].templateName] = id;
    }

    var selectedTemplateName = void 0;
    _this2.state = {
      data: data,
      dcList: dcList,
      ocMap: ocMap,
      dcMap: dcMap, //defaultCondition的Map
      // extraConditionCheckedList:[],
      template: template,
      templateNames: templateNames,
      selectedTemplateName: selectedTemplateName,
      arrSelectValue: arrSelectValue,
      hasArrSelectCallBack: false
    };
    return _this2;
  }

  (0, _createClass3.default)(AdSearch, [{
    key: 'componentWillMount',
    value: function componentWillMount() {}
  }, {
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      if (this.props.templateSource && nextProps.templateSource && this.props.templateSource.length !== nextProps.templateSource.length) {
        var _template = this.initTemplate(nextProps);
        var _templateNames = {};
        for (var id in _template) {
          _templateNames[_template[id].templateName] = id;
        }
        this.setState({
          template: _template, templateNames: _templateNames
        });
      }
      if (this.props.extraCondition && nextProps.extraCondition && !_lodash2.default.isEqual(this.props.extraCondition, nextProps.extraCondition)) {
        var _initData = this.initData(nextProps),
            data = _initData.data,
            dcList = _initData.dcList,
            ocMap = _initData.ocMap;

        this.setState({
          // data,
          // dcList,
          ocMap: ocMap
        });
      }
      if (this.props.defaultCondition && nextProps.defaultCondition && !_lodash2.default.isEqual(this.props.defaultCondition, nextProps.defaultCondition)) {
        var _initData2 = this.initData(nextProps),
            _data = _initData2.data,
            _dcList = _initData2.dcList,
            dcMap = _initData2.dcMap;

        this.setState({
          // data,
          // dcList,
          dcMap: dcMap
        });
      }
    }

    //跟上面那个方法差不多 创建 条件按 的那个搜索框，目前只支持单选和输入框

  }, {
    key: 'render',
    value: function render() {
      var _this3 = this;

      var _props = this.props,
          customTopLine = _props.customTopLine,
          customFootLine = _props.customFootLine,
          extraCondition = _props.extraCondition,
          defaultCondition = _props.defaultCondition,
          onSearch = _props.onSearch,
          onSaveMySearch = _props.onSaveMySearch,
          templateSource = _props.templateSource,
          otherProps = (0, _objectWithoutProperties3.default)(_props, ['customTopLine', 'customFootLine', 'extraCondition', 'defaultCondition', 'onSearch', 'onSaveMySearch', 'templateSource']);
      var data = this.state.data;

      var defaultConditionChildren = this.creatDefaultCondition(defaultCondition, extraCondition);
      if (onSearch) {
        defaultConditionChildren.push(_react2.default.createElement(
          FormItem,
          { key: 'onSearch' },
          _react2.default.createElement(_button2.default, { children: '\u67E5\u8BE2', size: themeType, onClick: this.onSearch })
        ));
      }
      // if(onReSet){
      //     defaultConditionChildren.push(<FormItem key="onReSet"><Button children="重置" size={themeType} onClick={()=>this.onReset()}/></FormItem>);
      // }

      if (templateSource && Array.isArray(templateSource) && templateSource.length > 0) {
        defaultConditionChildren.push(this.getTemplateChildren(templateSource));
      }

      var extraConditionChildren = this.getExtraConditionChildren();
      var defaultConditionTags = this.getDefaultConditionTags();
      var btnSave = function btnSave() {
        var children = [];
        if (_this3.props.onSaveMySearch && extraConditionChildren.length > 0 || defaultConditionTags.length > 0) {
          children.push(_react2.default.createElement(
            FormItem,
            { key: 'onSaveMySearch' },
            _react2.default.createElement(
              _popover2.default,
              { placement: 'bottom', trigger: 'click', content: _this3.getSaveMySearchContent(_this3.props.onSaveMySearch) },
              _react2.default.createElement(_button2.default, { children: '\u4FDD\u5B58\u6761\u4EF6', size: themeType })
            )
          ));
        }
        return children;
      };
      var ex = function ex() {
        if (extraConditionChildren.length > 0 || defaultConditionTags.length > 0) {
          return _react2.default.createElement(
            _row2.default,
            null,
            _react2.default.createElement(
              _col2.default,
              { span: 1 },
              _react2.default.createElement(FormItem, { label: '\u641C\u7D22\u6761\u4EF6', key: 'con' })
            ),
            _react2.default.createElement(
              _col2.default,
              { span: 23 },
              _react2.default.createElement(
                'div',
                { style: { paddingLeft: 15 } },
                defaultConditionTags,
                extraConditionChildren,
                btnSave()
              )
            )
          );
        }
      };
      return _react2.default.createElement(
        _wrap2.default,
        null,
        _react2.default.createElement(
          _panel2.default,
          null,
          customTopLine && _react2.default.createElement(
            _formLayout2.default,
            { key: 'customTopLine' },
            _react2.default.createElement(_CustomTopLine2.default, { content: customTopLine })
          ),
          _react2.default.createElement(_formLayout2.default, { key: 'defaultConditionChildren', children: defaultConditionChildren, inline: true, inputSize: themeType }),
          _react2.default.createElement(_formLayout2.default, { key: 'extraConditionChildren', inline: true, inputSize: themeType, children: ex() }),
          customFootLine && _react2.default.createElement(
            _formLayout2.default,
            { key: 'customFootLine' },
            _react2.default.createElement(_CustomFootLine2.default, { content: customFootLine })
          )
        )
      );
    }
  }]);
  return AdSearch;
}(_react.Component);

var _initialiseProps = function _initialiseProps() {
  var _this4 = this;

  this.initData = function (props) {
    var extraCondition = props.extraCondition,
        defaultCondition = props.defaultCondition;

    if (extraCondition && !extraCondition instanceof Array) {
      throw new TypeError('AdSearch 组件的 extraCondition 只接受 "Array" 格式的数据');
    }
    if (!defaultCondition instanceof Array) {
      throw new TypeError('AdSearch 组件的 defaultCondition 只接受 "Array" 格式的数据');
    }
    var data = {};
    var dcList = [];
    var ocMap = {};
    var dcMap = {};
    var _this = _this4;
    var arrSelectValue = '';
    defaultCondition.map(function (_ref) {
      var id = _ref.id,
          props = _ref.props;

      if (Array.isArray(props)) {
        props.map(function (p) {
          data[p.fieldEn] = p.fieldValue;
          if (p.mode === 'multi') {
            dcMap[p.fieldEn] = p;
          }

          dcList.push(p.fieldEn);
        });
        arrSelectValue = props[0].fieldEn;
      } else {
        data[props.fieldEn] = props.fieldValue;
        if (props.mode === 'multi') {
          dcMap[props.fieldEn] = props;
        }
        dcList.push(props.fieldEn);
      }
    });
    extraCondition && extraCondition.map(function (_ref2) {
      var id = _ref2.id,
          props = _ref2.props;

      if (Array.isArray(props)) {
        props.map(function (p) {
          data[p.fieldEn] = p.fieldValue;
          ocMap[p.fieldEn] = p;
          _this.addDefaultReflectMap(p, ocMap[p.fieldEn]);
        });
      } else {
        data[props.fieldEn] = props.fieldValue;
        ocMap[props.fieldEn] = props;
        _this.addDefaultReflectMap(props, ocMap[props.fieldEn]);
      }
    });

    return { data: data, dcList: dcList, ocMap: ocMap, dcMap: dcMap, arrSelectValue: arrSelectValue };
  };

  this.addDefaultReflectMap = function (props, field) {
    var fieldType = props.fieldType,
        children = props.children;

    if (fieldType === "select" || fieldType === "multi_select") {
      var map = new _map2.default();
      children.map(function (child) {
        map.set(child.key || child.props.value, child.props.children);
      });
      if (field && field.reflectMap === undefined) field.reflectMap = map;
    }
  };

  this.initTemplate = function (props) {
    var templateSource = props.templateSource;

    if (templateSource && !templateSource instanceof Array) {
      throw new TypeError('AdSearch 组件的 extraCondition 只接受 "Array" 格式的数据');
    }
    var data = {};
    templateSource && templateSource.map(function (temp) {
      data[temp.id] = temp;
    });
    return data;
  };

  this.onArraySelect = function (value, option) {
    _this4.setState({
      arrSelectValue: value,
      hasArrSelectCallBack: true
    });
    _this4.props.onArraySelect && _this4.props.onArraySelect(value, option);
  };

  this.onElementValueChange = function (e) {
    var data = _this4.state.data;

    if (e.target) {
      var _e$target = e.target,
          id = _e$target.id,
          value = _e$target.value;

      data[id] = value;
    }
    _this4.setState({ data: data });
  };

  this.onMultiDefaultSearchValueChange = function (e) {
    var value = void 0;
    if (e.target) {
      value = e.target.value;
    } else {
      value = e;
    }

    _this4.setState({
      multiDefaultSearchValue: value
    });
  };

  this.onElementSelectChange = function (value, id) {
    var data = _this4.state.data;
    data[id] = value;
    _this4.setState({ data: data });
  };

  this.onElementDateChange = function (dates, dateStrings, id, index) {
    var _state = _this4.state,
        data = _state.data,
        hasArrSelectCallBack = _state.hasArrSelectCallBack,
        arrSelectValue = _state.arrSelectValue;

    if (index || index === 0) {
      id = _lodash2.default.dropRight(id.split('_')).join('_');
      data[id][index] = dates;
    } else {
      data[id] = dates;
    }

    if (!hasArrSelectCallBack) {
      _this4.props.onArraySelect && _this4.props.onArraySelect(arrSelectValue);
    }
    _this4.setState({
      data: data,
      hasArrSelectCallBack: true
    });
  };

  this.getLabelWidth = function (labelName) {
    if (!labelName) {
      return null;
    }
    var length = Math.floor(_this4.getStringLength(labelName) / 2);
    if (length <= 2) {
      return '2em';
    } else if (length >= 8) {
      return '8em';
    } else {
      return length + 'em';
    }
  };

  this.getStringLength = function (str) {
    if (!str) return 0;
    if (typeof str !== "string") {
      str += "";
    }
    return str.replace(/[^\x00-\xff]/g, "01").length;
  };

  this.creatElement = function (props) {
    var fieldCn = props.fieldCn,
        fieldEn = props.fieldEn,
        fieldType = props.fieldType,
        divide = props.divide,
        otherProps = (0, _objectWithoutProperties3.default)(props, ['fieldCn', 'fieldEn', 'fieldType', 'divide']);

    var fieldValue = props.fieldValue || "";

    if (fieldType === 'text') {
      //input
      var inputProps = (0, _extends3.default)({}, otherProps, {
        id: fieldEn,
        value: _this4.state.data[fieldEn],
        onChange: _this4.onElementValueChange,
        size: themeType
      });
      if (props.mode === 'multi') {
        inputProps = (0, _extends3.default)({}, otherProps, {
          id: fieldEn,
          value: _this4.state.multiDefaultSearchValue,
          onChange: _this4.onMultiDefaultSearchValueChange,
          size: themeType
        });
      }

      return _react2.default.createElement(
        FormItem,
        { label: fieldCn, key: fieldEn },
        _react2.default.createElement(_input2.default, inputProps)
      );
    } else if (fieldType === 'select') {
      //单选框
      var selectProps = (0, _extends3.default)({}, otherProps, {
        id: fieldEn,
        dropdownMatchSelectWidth: false,
        dropdownMenuStyle: { 'max-width': '250px' },
        size: themeType,
        placeholder: '请选择',
        value: _this4.state.data[fieldEn],
        onChange: _this4.onElementSelectChange
      });
      return _react2.default.createElement(
        FormItem,
        { label: fieldCn, labelWidth: _this4.getLabelWidth(fieldCn), key: fieldEn },
        _react2.default.createElement(_select2.default, (0, _extends3.default)({ style: { width: selectWidth } }, selectProps))
      );
    } else if (fieldType === 'multi_select') {
      //多选框
      if (!fieldValue) {
        fieldValue = [];
      }
      var _selectProps = (0, _extends3.default)({}, otherProps, {
        id: fieldEn,
        dropdownMatchSelectWidth: false,
        size: themeType,
        placeholder: '请选择',
        value: _this4.state.data[fieldEn],
        onChange: _this4.onElementSelectChange,
        dropdownMenuStyle: { 'max-width': '250px' },
        mode: "multiple"
      });
      return _react2.default.createElement(
        FormItem,
        { label: fieldCn, labelWidth: _this4.getLabelWidth(fieldCn), key: fieldEn },
        _react2.default.createElement(_select2.default, (0, _extends3.default)({ style: { minWidth: selectWidth } }, _selectProps))
      );
    } else if (fieldType === 'date') {
      //时间选择框
      var dateProps = (0, _extends3.default)({}, otherProps, {
        id: fieldEn,
        value: _this4.state.data[fieldEn],
        onChange: _this4.onElementDateChange
      });
      return _react2.default.createElement(
        FormItem,
        { key: fieldEn },
        _react2.default.createElement(_datePicker2.default, dateProps)
      );
    } else if (fieldType === 'date_range') {
      //时间范围选择
      if (divide) {
        // 两段式
        var startDateProps = (0, _extends3.default)({
          format: "YYYY-MM-DD"
        }, otherProps, {
          id: fieldEn + '_0',
          value: _this4.state.data[fieldEn][0],
          onChange: function onChange(dates, dateStrings, id) {
            return _this4.onElementDateChange(dates, dateStrings, id, 0);
          }
        });
        var endDateProps = (0, _extends3.default)({
          format: "YYYY-MM-DD"
        }, otherProps, {
          id: fieldEn + '_1',
          value: _this4.state.data[fieldEn][1],
          onChange: function onChange(dates, dateStrings, id) {
            return _this4.onElementDateChange(dates, dateStrings, id, 1);
          }
        });
        return _lodash2.default.concat(_react2.default.createElement(
          FormItem,
          { key: fieldEn + '_0' },
          _react2.default.createElement(_datePicker2.default, startDateProps)
        ), _react2.default.createElement(
          FormItem,
          { key: fieldEn + '_0.5' },
          _react2.default.createElement(
            'span',
            null,
            '\u2014\u2014'
          )
        ), _react2.default.createElement(
          FormItem,
          { key: fieldEn + '_1' },
          _react2.default.createElement(_datePicker2.default, endDateProps)
        ));
      } else {
        var _dateProps = (0, _extends3.default)({
          format: "YYYY-MM-DD"
        }, otherProps, {
          id: fieldEn,
          value: _this4.state.data[fieldEn],
          onChange: _this4.onElementDateChange
        });
        return _react2.default.createElement(
          FormItem,
          { key: fieldEn },
          _react2.default.createElement(RangePicker, _dateProps)
        );
      }
    }
  };

  this.creatExtraSearchValueField = function (props) {
    var fieldCn = props.fieldCn,
        fieldEn = props.fieldEn,
        fieldType = props.fieldType,
        reflectMap = props.reflectMap,
        otherProps = (0, _objectWithoutProperties3.default)(props, ['fieldCn', 'fieldEn', 'fieldType', 'reflectMap']);
    // let fieldValue = props.fieldValue || "";

    if (fieldType === "select" || fieldType === "multi_select") {
      var selectProps = (0, _extends3.default)({}, otherProps, {
        id: fieldEn,
        dropdownMatchSelectWidth: false,
        dropdownMenuStyle: { 'max-width': '250px' },
        size: themeType,
        placeholder: '请选择',
        value: _this4.state.extraSearchValue,
        onSelect: _this4.onExtraSearchValueSelect
      });
      if (selectProps.mode && selectProps.mode === 'combobox') {
        selectProps.onChange = _this4.onExtraSearchValueChange;
      }
      return _react2.default.createElement(
        FormItem,
        { key: 'extraSearchValue' },
        _react2.default.createElement(_select2.default, (0, _extends3.default)({ style: { width: selectWidth } }, selectProps))
      );
    } else if (fieldType === 'cascader') {
      var cascaderProps = (0, _extends3.default)({}, otherProps, {
        id: fieldEn,
        value: _this4.state.extraSearchValue,
        onChange: _this4.onExtraSearchValueChange
      });
      return _react2.default.createElement(
        FormItem,
        { key: 'extraSearchValue' },
        _react2.default.createElement(_cascader2.default, cascaderProps)
      );
    } else if (fieldType === 'auto_complete') {
      //autoComplete
      // console.info(props);
      var autoCompleteProps = (0, _extends3.default)({}, otherProps, {
        id: fieldEn,
        dropdownMatchSelectWidth: false,
        size: themeType,
        placeholder: '请选择',
        value: _this4.state.extraSearchValue,
        onSelect: function onSelect(val) {
          _this4.onExtraSearchValueSelect(val);
        },
        onSearch: function onSearch(val) {
          _this4.onExtraSearchValueChange(val);
          props.onSearch(val);
        }
      });
      return _react2.default.createElement(
        FormItem,
        { key: 'extraSearchValue' },
        _react2.default.createElement(_autoComplete2.default, autoCompleteProps)
      );
    } else {
      return _react2.default.createElement(
        FormItem,
        { key: 'extraSearchValue' },
        _react2.default.createElement(_input2.default, { onChange: _this4.onExtraSearchValueChange, value: _this4.state.extraSearchValue, onPressEnter: _this4.onSearch })
      );
    }
  };

  this.creatDefaultCondition = function (defaultCondition, extraCondition) {
    var children = [];
    defaultCondition && defaultCondition.map(function (con) {
      var props = con.props,
          id = con.id;

      if (props) {
        if (Array.isArray(props)) {
          var arrSelectValue = _this4.state.arrSelectValue || props[0].fieldEn;
          var selectDefaultValue = "";
          var options = [];
          var selectedArrayValue = void 0;
          props.map(function (prop) {
            var fieldCn = prop.fieldCn,
                fieldEn = prop.fieldEn,
                fieldType = prop.fieldType,
                otherProps = (0, _objectWithoutProperties3.default)(prop, ['fieldCn', 'fieldEn', 'fieldType']);

            if (fieldEn === arrSelectValue) {
              selectDefaultValue = fieldCn;
              selectedArrayValue = _this4.creatElement(prop);
            }
            var optionProp = (0, _extends3.default)({ fieldType: fieldType }, otherProps);
            options.push(_react2.default.createElement(
              Option,
              (0, _extends3.default)({ key: id, value: fieldEn, name: id }, optionProp),
              fieldCn
            ));
          });

          var SelectGen = function SelectGen() {
            return _react2.default.createElement(_select2.default, { defaultValue: selectDefaultValue, children: options, dropdownMatchSelectWidth: false, onSelect: _this4.onArraySelect, size: themeType });
          };
          children.push(_react2.default.createElement(
            FormItem,
            { key: id },
            _react2.default.createElement(SelectGen, null)
          ));
          if (selectedArrayValue) {
            // children.push(selectedArrayValue)
            children = _lodash2.default.concat(children, selectedArrayValue);
          }
        } else {
          // children.push(this.creatElement(props))
          children = _lodash2.default.concat(children, _this4.creatElement(props));
        }
      }
    });
    if (extraCondition && extraCondition.length > 0) {
      // children.push(<FormItem key="extra"><Popover title={<span>其他条件</span>} content={this.getOtherConditionContent(extraCondition)} placement="bottom" trigger="click"><a>+条件<Icon type="down" size={themeType}/></a></Popover></FormItem>)
      children.push(_react2.default.createElement(
        FormItem,
        { key: 'extra', label: '\u6761\u4EF6\u6309' },
        _react2.default.createElement(
          _select2.default,
          { showSearch: true,
            optionFilterProp: 'children',
            size: 'small',
            dropdownMatchSelectWidth: false,
            placeholder: '\u6761\u4EF6\u7B5B\u9009',
            style: { minWidth: 80 },
            onSelect: _this4.onExtraConditionSelect,
            value: _this4.state.extraCondition,
            filterOption: function filterOption(input, option) {
              return option.props.children.indexOf(input) >= 0;
            }
          },
          extraCondition.map(function (_ref3) {
            var props = _ref3.props;

            return _react2.default.createElement(
              Option,
              { name: props.fieldEn, key: props.fieldEn },
              props.fieldCn
            );
          })
        )
      ));
      var extraPropsId = _this4.state.extraCondition;
      var extraProps = {};
      if (extraPropsId) {
        extraProps = _this4.state.ocMap[extraPropsId];
      }

      // children.push(this.creatExtraSearchValueField(extraProps))
      children = _lodash2.default.concat(children, _this4.creatExtraSearchValueField(extraProps));
    }
    return children;
  };

  this.onExtraConditionSelect = function (value, option) {
    _this4.setState({
      extraCondition: value
    });
  };

  this.onExtraSearchValueChange = function (e) {
    var value = void 0;
    if (e.target) {
      value = e.target.value;
    } else {
      value = e;
    }
    _this4.setState({
      extraSearchValue: value
    });
  };

  this.onExtraSearchValueSelect = function (value) {
    new _promise2.default(function (resolve, reject) {
      resolve(_this4.onExtraSearchValueChange(value));
    }).then(function () {
      _this4.onSearch();
    });
  };

  this.onTemplateNameChange = function (e) {
    var templateName = e.target.value;
    var templateNames = _this4.state.templateNames;
    var templateId = _this4.state.selectedTemplateId;
    if (templateNames[templateName]) {
      templateId = templateNames[templateName].id;
    } else {
      templateId = -1;
    }
    _this4.setState({
      templateName: templateName, templateId: templateId
    });
  };

  this.onTemplateSave = function (templateName, templateId, data, conditions, onSaveMySearch) {
    var name = templateName.trim();
    if (name === '') {
      _message2.default.error('请输入模版名');
      return;
    } else if (name.length > 50) {
      _message2.default.error('模版名长度不要超过50');
      return;
    }
    onSaveMySearch(name, templateId, data, conditions);
  };

  this.getSaveMySearchContent = function (onSaveMySearch) {
    var templateName = _this4.state.templateName || "";
    var templateId = _this4.state.templateId;
    var templateNames = _this4.state.templateNames;
    // function onChange(e) {
    //     templateName = e.target.value
    //     if(templateNames[templateName]){
    //         templateId = templateNames[templateName].id;
    //     }else{
    //         templateId = -1;
    //     }
    // }

    //条件列表只返回选中的其他条件
    // let conditionList = this.state.OtherConditionCheckedList;
    // const checkedConditionList = this.clearDefaultCondition(conditionList,this.props.defaultCondition)
    // this.clearDefaultCondition(conditionList,this.props.defaultCondition);

    var conditions = _this4.props.defaultCondition.concat(_this4.props.extraCondition);
    var inputProps = {
      id: "templateName",
      placeholder: "请输入模板名",
      onChange: _this4.onTemplateNameChange,
      value: _this4.state.templateName
    };
    if (_this4.props.templateNameMaxLength) {
      inputProps.max = _this4.props.templateNameMaxLength;
    }
    return _react2.default.createElement(
      _wrap2.default,
      null,
      _react2.default.createElement(
        _panel2.default,
        null,
        _react2.default.createElement(
          _formLayout2.default,
          { inline: true, inputSize: themeType, key: 'template' },
          _react2.default.createElement(
            FormItem,
            { label: '\u540D\u79F0' },
            _react2.default.createElement(_input2.default, inputProps)
          ),
          _react2.default.createElement(
            FormItem,
            null,
            _react2.default.createElement(_button2.default, { children: '\u4FDD\u5B58',
              size: themeType,
              onClick: function onClick() {
                _this4.onTemplateSave(templateName, templateId, _this4.state.data, conditions, onSaveMySearch);
              }
            })
          )
        )
      )
    );
  };

  this.getExtraConditionChildren = function () {
    var children = [];
    var _state2 = _this4.state,
        data = _state2.data,
        dcList = _state2.dcList,
        ocMap = _state2.ocMap;

    var temp = [];
    function pushValue(key, value) {
      var _ocMap$key = ocMap[key],
          fieldCn = _ocMap$key.fieldCn,
          reflectMap = _ocMap$key.reflectMap;

      var v = void 0;
      if (reflectMap) {
        v = '';
        if (Array.isArray(value)) {
          v = reflectMap.get(_lodash2.default.last(value)) || _lodash2.default.last(value);
        } else {
          v = reflectMap.get(value) || value;
        }
      } else {
        v = value;
      }
      var str = fieldCn + "：" + v;
      temp.push({ key: key, str: str, v: v });
    }

    var _loop = function _loop(key) {
      if (data[key] && dcList.indexOf(key) === -1 && ocMap[key]) {
        var value = data[key];
        var _ocMap$key2 = ocMap[key],
            fieldCn = _ocMap$key2.fieldCn,
            reflectMap = _ocMap$key2.reflectMap,
            getReflectMap = _ocMap$key2.getReflectMap;

        if (getReflectMap && typeof getReflectMap === 'function') {
          if (Array.isArray(value)) {
            for (var i = 0; i < value.length; i++) {
              var id = value[i];
              if (reflectMap.get(id)) {
                // console.log(reflectMap)
                // console.log(id)
                continue;
              }
              getReflectMap(id);
            }
          } else {
            getReflectMap(value);
          }
        }
        if (fieldCn) {
          if (Array.isArray(value)) {
            value.map(function (v) {
              // const str = fieldCn+"："+v
              // temp.push({key,str,v})
              pushValue(key, v);
            });
          } else if (typeof value === 'string') {
            // const str = fieldCn+"："+value
            // temp.push({key,str,value})
            pushValue(key, value);
          }
        }
      }
    };

    for (var key in data) {
      _loop(key);
    }
    temp.map(function (_ref4, index) {
      var key = _ref4.key,
          str = _ref4.str,
          v = _ref4.v;

      children.push(_react2.default.createElement(
        FormItem,
        { key: key + v },
        _react2.default.createElement(
          _tag2.default,
          { closable: true, onClose: function onClose(e) {
              return _this4.onTagClose(key, v);
            } },
          str
        )
      ));
    });
    return children;
  };

  this.getDefaultConditionTags = function () {
    var children = [];
    var _state3 = _this4.state,
        data = _state3.data,
        dcList = _state3.dcList,
        ocMap = _state3.ocMap,
        dcMap = _state3.dcMap;

    var temp = [];

    var _loop2 = function _loop2(key) {
      //编号也要加到tag。
      if (data[key] && dcList.indexOf(key) > -1 && dcMap[key]) {
        var fieldCn = dcMap[key].fieldCn;

        var value = data[key];
        if (fieldCn) {
          if (Array.isArray(value)) {
            value.map(function (v) {
              temp.push({ key: key, str: fieldCn + '\uFF1A' + v, v: v });
            });
          } else if (typeof value === 'string') {
            temp.push({ key: key, str: fieldCn + '\uFF1A' + value, value: value });
          }
        }
      }
    };

    for (var key in data) {
      _loop2(key);
    }
    temp.map(function (_ref5, index) {
      var key = _ref5.key,
          str = _ref5.str,
          v = _ref5.v;

      children.push(_react2.default.createElement(
        FormItem,
        { key: key + v },
        _react2.default.createElement(
          _tag2.default,
          { closable: true, onClose: function onClose(e) {
              return _this4.onTagClose(key, v);
            } },
          str
        )
      ));
    });
    return children;
  };

  this.onTagClose = function (key, v) {
    // console.log(key,v)
    var _state4 = _this4.state,
        data = _state4.data,
        ocMap = _state4.ocMap;

    var targetList = data[key];
    var newList = targetList.filter(function (item) {
      if (ocMap[key]) {
        var reflectMap = ocMap[key].reflectMap;

        if (reflectMap) {
          var value = '';
          if (Array.isArray(item)) {
            value = reflectMap.get(_lodash2.default.last(item)) || _lodash2.default.last(item);
          } else {
            value = reflectMap.get(item) || item;
          }
          return value !== v;
        } else {
          return item !== v;
        }
      } else {
        //这里只处理了fieldType=text，mode=multi的情况
        return item !== v;
      }
    });
    // console.log(newList);
    data[key] = newList;
    _this4.doSearch(data);
    var state = { data: data };
    if (!newList.length) {
      state = _lodash2.default.assign(state, {
        selectedTemplateName: '',
        selectedTemplateId: '',
        templateName: ''
      });
    }
    _this4.setState(state);
  };

  this.doSearch = function (data) {
    _this4.props.onSearch && _this4.props.onSearch({ data: data });
  };

  this.getTemplateChildren = function (templateSource) {
    var children = [];
    templateSource.map(function (tem) {
      var id = tem.id,
          templateName = tem.templateName;

      var del = void 0;
      if (_this4.props.onDeleteMySearch) {
        del = _react2.default.createElement(
          'a',
          { onClick: function onClick(event) {
              _this4.props.onDeleteMySearch(tem);
              event.stopPropagation();
            }, className: 'selected_del' },
          _react2.default.createElement(_icon2.default, { type: 'cross', style: { paddingTop: 3 } })
        );
      }
      // console.log(tem)
      children.push(_react2.default.createElement(
        Option,
        { key: id, value: templateName, style: { display: 'flex' } },
        _react2.default.createElement(
          'span',
          { style: { flex: 1, overflow: 'hidden', textOverflow: 'ellipsis' } },
          templateName
        ),
        del
      ));
    });
    var props = {
      onSelect: _this4.onTemplateSelect,
      size: themeType,
      placeholder: "我的查询",
      dropdownMatchSelectWidth: false,
      value: _this4.state.selectedTemplateName,
      dropdownMenuStyle: { 'max-width': '120px' }
    };
    return _react2.default.createElement(
      FormItem,
      { key: 'templateChildren' },
      _react2.default.createElement(
        _select2.default,
        (0, _extends3.default)({}, props, { style: { width: selectWidth } }),
        children
      )
    );
  };

  this.onTemplateSelect = function (value) {
    var _state5 = _this4.state,
        templateNames = _state5.templateNames,
        template = _state5.template,
        arrSelectValue = _state5.arrSelectValue;

    var id = templateNames[value];
    var templateData = template[id];
    var advancedcondition = templateData.advancedcondition;


    if (typeof advancedcondition === 'string') {
      advancedcondition = JSON.parse(advancedcondition);
    }
    arrSelectValue = '';
    // let extraConditionCheckedList = [];
    var list = [];
    var defaultCondition = _this4.props.defaultCondition;

    defaultCondition.map(function (con) {
      if (Array.isArray(con.props)) {
        con.props.map(function (c) {
          list.push(c.fieldEn);
        });
      }
    });
    var data = {};
    advancedcondition.map(function (adc) {
      if (list.indexOf(adc.fieldEn) > -1) {
        arrSelectValue = adc.fieldEn;
      }
      var id = adc.fieldEn;
      var fv = adc.fieldValue;
      data[id] = fv;
      // const propname = `${id}checked`;
      // extraConditionCheckedList.push(id)
      // this.setState({
      //     [propname]:true
      // })
    });
    _this4.setState({
      selectedTemplateName: value,
      selectedTemplateId: id,
      templateName: value,
      data: data,
      arrSelectValue: arrSelectValue
    });
    _this4.props.onArraySelect && _this4.props.onArraySelect(arrSelectValue);
    _this4.doSearch(data);
  };

  this.onSearch = function () {
    var _state6 = _this4.state,
        data = _state6.data,
        extraCondition = _state6.extraCondition,
        extraSearchValue = _state6.extraSearchValue;

    var needSearch = true;
    extraSearchValue = typeof extraSearchValue === 'string' ? extraSearchValue.trim() : extraSearchValue;
    //组装查询条件，并且清空查询条件，如果只选了条件而没有输入则不清空
    if (extraCondition && extraSearchValue) {
      if (data[extraCondition]) {
        var value = data[extraCondition];
        if (Array.isArray(value)) {
          if (value.indexOf(extraSearchValue) === -1) {
            value.push(extraSearchValue);
          } else {
            needSearch = false;
          }
          data[extraCondition] = value;
        } else {
          var list = [value];
          if (value !== extraSearchValue) {
            list.push(extraSearchValue);
          } else {
            needSearch = false;
          }
          data[extraCondition] = list;
        }
      } else {
        data[extraCondition] = [extraSearchValue];
      }
      extraCondition = undefined;
      extraSearchValue = '';
    }
    //如果mode=multi，组装查询条件清空输入
    var _state7 = _this4.state,
        dcMap = _state7.dcMap,
        multiDefaultSearchValue = _state7.multiDefaultSearchValue;

    multiDefaultSearchValue = typeof multiDefaultSearchValue === 'string' ? multiDefaultSearchValue.trim() : multiDefaultSearchValue;
    if (_this4.state.dcMap && multiDefaultSearchValue) {
      for (var i in dcMap) {
        var fieldEn = dcMap[i].fieldEn;
        if (fieldEn) {
          if (data[fieldEn]) {
            var _value = data[fieldEn];
            if (Array.isArray(_value)) {
              if (_value.indexOf(multiDefaultSearchValue) === -1) {
                _value.push(multiDefaultSearchValue);
              } else {
                needSearch = false;
              }
              data[fieldEn] = _value;
            } else {
              var _list = [_value];
              if (_value !== multiDefaultSearchValue) {
                _list.push(multiDefaultSearchValue);
              } else {
                needSearch = false;
              }
              data[fieldEn] = _list;
            }
          } else {
            data[fieldEn] = [multiDefaultSearchValue];
          }

          multiDefaultSearchValue = '';
        }
      }
    }

    if (!needSearch) {
      _message2.default.warn("已存在相同的搜索条件", 3);
    }
    needSearch && _this4.doSearch(data);

    _this4.setState({
      data: data,
      extraCondition: extraCondition,
      extraSearchValue: extraSearchValue,
      multiDefaultSearchValue: multiDefaultSearchValue
    });
  };
};

exports.default = AdSearch;
module.exports = exports['default'];