"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _style2 = require("../../antd/button/style");

var _button = require("../../antd/button");

var _button2 = _interopRequireDefault(_button);

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require("babel-runtime/helpers/objectWithoutProperties");

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require("babel-runtime/core-js/object/get-prototype-of");

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require("babel-runtime/helpers/createClass");

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Button = function (_React$Component) {
	(0, _inherits3.default)(Button, _React$Component);

	function Button(props) {
		(0, _classCallCheck3.default)(this, Button);

		var _this = (0, _possibleConstructorReturn3.default)(this, (Button.__proto__ || (0, _getPrototypeOf2.default)(Button)).call(this, props));

		_this.getLoading = function () {
			return document.getElementById('loading');
		};

		_this.checkLoading = function () {
			var observer;
			var timeout = setTimeout(function () {
				_this.setState({ loading: false });
			}, 300);
			var addNewObserver = function addNewObserver() {
				if (_this.getLoading() !== null) {
					clearTimeout(timeout);
					observer.disconnect();
					var newObserver;
					var removeLoading = function removeLoading() {
						if (_this.getLoading() === null) {
							_this.setState({ loading: false });
							newObserver.disconnect();
						}
					};
					newObserver = new MutationObserver(removeLoading);
					newObserver.observe(document.body, { childList: true });
				}
			};
			observer = new MutationObserver(addNewObserver);
			observer.observe(document.body, { childList: true });
		};

		_this.handleClick = function (e) {
			var needLoading = _this.props.needLoading;
			if (!needLoading) {
				_this.props.onClick(e);
			} else {
				_this.setState({ loading: true }, function () {
					_this.checkLoading();
					_this.props.onClick(e);
				});
			}
		};

		_this.state = {
			loading: false
		};
		return _this;
	}

	(0, _createClass3.default)(Button, [{
		key: "render",
		value: function render() {
			var _props = this.props,
			    needLoading = _props.needLoading,
			    onClick = _props.onClick,
			    otherProps = (0, _objectWithoutProperties3.default)(_props, ["needLoading", "onClick"]);

			return _react2.default.createElement(_button2.default, (0, _extends3.default)({}, otherProps, { loading: this.state.loading, onClick: this.handleClick }));
		}
	}]);
	return Button;
}(_react2.default.Component);

Button.defaultProps = {
	needLoading: true,
	onClick: function onClick() {}
};

Button.PropTypes = {
	needLoading: _propTypes2.default.bool,
	onClick: _propTypes2.default.func
};

exports.default = Button;
module.exports = exports["default"];