'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _style2 = require('../../antd/date-picker/style');

var _datePicker = require('../../antd/date-picker');

var _datePicker2 = _interopRequireDefault(_datePicker);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _common = require('./common');

var _common2 = _interopRequireDefault(_common);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var compatible = _common2.default.compatible;


var AntdMonthPicker = _datePicker2.default.MonthPicker;

var MonthPicker = function (_Component) {
    (0, _inherits3.default)(MonthPicker, _Component);

    function MonthPicker(props) {
        (0, _classCallCheck3.default)(this, MonthPicker);

        var _this = (0, _possibleConstructorReturn3.default)(this, (MonthPicker.__proto__ || (0, _getPrototypeOf2.default)(MonthPicker)).call(this, props));

        _this.state = {};
        return _this;
    }

    (0, _createClass3.default)(MonthPicker, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                id = _props.id,
                onChange = _props.onChange,
                _props$value = _props.value,
                value = _props$value === undefined ? '' : _props$value,
                momentLocale = _props.momentLocale,
                defaultValue = _props.defaultValue,
                otherProps = (0, _objectWithoutProperties3.default)(_props, ['id', 'onChange', 'value', 'momentLocale', 'defaultValue']);

            var format = this.props.format || "YYYY-MM";
            var props = (0, _extends3.default)({
                id: id
            }, otherProps, {
                format: format
            });
            if (value !== undefined) {
                var _value = compatible(value, format, momentLocale);
                props.value = _value;
            }
            if (defaultValue) {
                var _defaultValue = compatible(defaultValue, format, momentLocale);
                props.defaultValue = _defaultValue;
            }

            if (onChange) {
                props.onChange = function (dates, dateString) {
                    return onChange(dates, dateString, id);
                };
            }
            return _react2.default.createElement(AntdMonthPicker, props);
        }
    }]);
    return MonthPicker;
}(_react.Component);

exports.default = MonthPicker;
module.exports = exports['default'];