'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function compatible(value, format, momentLocale) {
    var _value = void 0;
    if (Array.isArray(value)) {
        //只取前两位,并且在前两位都有值的情况下才显示日期
        // if(value[0] && value[1]){
        //     if(typeof value[0] === "string"){
        //         _value.push(moment(value[0],format))
        //     }else{
        //         _value.push(value[0])
        //     }
        //
        //     if(typeof value[1] === "string"){
        //         _value.push(moment(value[1],format))
        //     }else{
        //         _value.push(value[1])
        //     }
        // }
        var _value2 = [];
        value.map(function (v) {
            _value2.push(compatible(v, format, momentLocale));
        });
        return _value2;
    } else {
        if (typeof value === 'string' && value) {
            _value = (0, _moment2.default)(value, format);
            momentLocale ? _value.locale(momentLocale) : _value.locale('zh-cn');
        } else if (_moment2.default.isMoment(value)) {
            if (value.isValid()) {
                momentLocale ? value.locale(momentLocale) : value.locale('zh-cn');
                _value = value;
            } else {
                _value = '';
            }
        }
        return _value;
    }
}

exports.default = {
    compatible: compatible
};
module.exports = exports['default'];