'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames5 = require('classnames');

var _classnames6 = _interopRequireDefault(_classnames5);

var _FormItem = require('./FormItem');

var _FormItem2 = _interopRequireDefault(_FormItem);

require('./styles/');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function FormLayout(_ref) {
    var children = _ref.children,
        labelWidth = _ref.labelWidth,
        inline = _ref.inline,
        inputType = _ref.inputType,
        props = (0, _objectWithoutProperties3.default)(_ref, ['children', 'labelWidth', 'inline', 'inputType']);

    var inputSize = props.inputSize || "normal";
    var helpPosition = props.helpPosition || 'bottom';
    var prifix = 'o-form-item-';
    var _class = (0, _classnames6.default)('o-form', 'o-form-explain-' + helpPosition, (0, _defineProperty3.default)({}, prifix + 'label--4em', !labelWidth), (0, _defineProperty3.default)({}, prifix + 'label--' + labelWidth, labelWidth), (0, _defineProperty3.default)({}, prifix + '-inline ant-form-inline', inline), (0, _defineProperty3.default)({}, prifix + 'input--' + inputSize, inputSize));

    // 传给children的熟悉
    // const _childrenPros = {
    //     type:inputType
    // }


    // 复制children 并赋值额外属性
    // const _children = React.Children.map(children,(child)=>React.cloneElement(child,_childrenPros))

    delete props.inputSize;
    delete props.helpPosition;
    return _react2.default.createElement(
        'div',
        (0, _extends3.default)({}, props, { className: _class }),
        children
    );
}

FormLayout.FormItem = _FormItem2.default;

exports.default = FormLayout;
module.exports = exports['default'];