'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _style2 = require('../../antd/select/style');

var _select = require('../../antd/select');

var _select2 = _interopRequireDefault(_select);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Select = function (_Component) {
	(0, _inherits3.default)(Select, _Component);

	function Select(props) {
		(0, _classCallCheck3.default)(this, Select);

		var _this = (0, _possibleConstructorReturn3.default)(this, (Select.__proto__ || (0, _getPrototypeOf2.default)(Select)).call(this, props));

		_this.onChange = function (value) {
			if (!value) {
				if (_this.props.onSelect) {
					try {
						_this.props.onSelect('', {});
					} catch (error) {}
				}
			}
			if (_this.props.onChange) {
				_this.props.onChange(value, _this.props.id);
			}
		};

		_this.state = {};
		return _this;
	}

	(0, _createClass3.default)(Select, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    id = _props.id,
			    onChange = _props.onChange,
			    otherProps = (0, _objectWithoutProperties3.default)(_props, ['id', 'onChange']);

			var props = (0, _extends3.default)({
				id: id
			}, otherProps);
			if (onChange) {
				props.onChange = function (value) {
					return onChange(value, id);
				};
			}
			return _react2.default.createElement(_select2.default, props);
		}
	}]);
	return Select;
}(_react.Component);

Select.Option = _select2.default.Option;
Select.OptGroup = _select2.default.OptGroup;
exports.default = Select;
module.exports = exports['default'];