'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _style3 = require('../../antd/modal/style');

var _modal = require('../../antd/modal');

var _modal2 = _interopRequireDefault(_modal);

var _style4 = require('../../antd/input/style');

var _input = require('../../antd/input');

var _input2 = _interopRequireDefault(_input);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TextAreaBigModal = function (_Component) {
	(0, _inherits3.default)(TextAreaBigModal, _Component);

	function TextAreaBigModal(props) {
		(0, _classCallCheck3.default)(this, TextAreaBigModal);

		var _this = (0, _possibleConstructorReturn3.default)(this, (TextAreaBigModal.__proto__ || (0, _getPrototypeOf2.default)(TextAreaBigModal)).call(this, props));

		_this.handleChange = function (e) {
			_this.setState({
				bigValue: e.target.value
			});
		};

		_this.handleOk = function () {
			var bigValue = _this.state.bigValue;

			_this.props.onOk(bigValue);
		};

		_this.state = {
			bigValue: ''
		};
		return _this;
	}

	(0, _createClass3.default)(TextAreaBigModal, [{
		key: 'componentDidMount',
		value: function componentDidMount() {
			var value = this.props.value;

			if (value) {
				this.setState({
					bigValue: value
				});
			}
		}
	}, {
		key: 'componentWillReceiveProps',
		value: function componentWillReceiveProps(nextProps) {
			if (nextProps.value !== this.props.value || nextProps.visible !== this.props.visible) {
				var value = this.props.value;

				this.setState({
					bigValue: value
				});
			}
		}
	}, {
		key: 'render',
		value: function render() {
			var bigValue = this.state.bigValue;
			var _props = this.props,
			    visible = _props.visible,
			    onCancel = _props.onCancel,
			    value = _props.value,
			    onOk = _props.onOk,
			    width = _props.width,
			    handleChange = _props.handleChange,
			    otherProps = (0, _objectWithoutProperties3.default)(_props, ['visible', 'onCancel', 'value', 'onOk', 'width', 'handleChange']);

			var modalOpts = {
				title: '',
				width: width || '800px',
				className: 'table-custom-column big-textarea',
				maskClosable: false,
				visible: visible,
				onCancel: onCancel,
				onOk: this.handleOk
			};
			return _react2.default.createElement(
				_modal2.default,
				modalOpts,
				_react2.default.createElement(_input2.default.TextArea, (0, _extends3.default)({}, otherProps, { value: bigValue, onChange: this.handleChange }))
			);
		}
	}]);
	return TextAreaBigModal;
}(_react.Component); /**
                      * Created by Adon Wang on 2018/7/19.
                      */


exports.default = TextAreaBigModal;
module.exports = exports['default'];