'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var pushToList = function pushToList(item, value) {
  if (item === undefined) {
    item = [];
  }
  item.push(value);
  return item;
};

var convertDuplicateToUnique = function convertDuplicateToUnique(array, key) {
  var temp = {};
  array.forEach(function (item) {
    temp[item[key]] = pushToList(temp[item[key]], item);
    var length = temp[item[key]].length;
    if (length > 1) {
      item[key] = temp[item[key]][length - 2][key] + ' ';
    }
  });
  return array;
};

exports.default = {
  pushToList: pushToList,
  convertDuplicateToUnique: convertDuplicateToUnique
};
module.exports = exports['default'];