'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _message = require('../../antd/message');

var _message2 = _interopRequireDefault(_message);

require('../../antd/message/style');

var _request = require('./request');

var _request2 = _interopRequireDefault(_request);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var requestHandler = function () {
  var _ref = (0, _asyncToGenerator3.default)(_regenerator2.default.mark(function _callee(_ref2) {
    var url = _ref2.url,
        option = _ref2.option;
    var result;
    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return (0, _request2.default)(url, option);

          case 2:
            result = _context.sent;

            if (!(result && result.resultCode === 100)) {
              _context.next = 7;
              break;
            }

            return _context.abrupt('return', result.data);

          case 7:
            if (!result.resultMsg) {
              _context.next = 10;
              break;
            }

            _message2.default.error(result.resultMsg || '加载失败，请稍候重试!');
            throw new Error(result.resultMsg);

          case 10:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, undefined);
  }));

  return function requestHandler(_x) {
    return _ref.apply(this, arguments);
  };
}();

exports.default = requestHandler;
module.exports = exports['default'];